<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">APD_DPSect3</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_APD_DPSect3" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="loadCasings" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<casings_repeat>
							<popStringType />
							<popCasingSize />
							<popJoint />
							<popCasingGrade />
							<oJointOther />
							<popCondition />
							<popStandard />
							<edit_4 />
							<edit_5 />
							<oCollapseCalc />
							<oBurstCalc />
							<rbJointSF />
							<oJointCalc />
							<oBodyCalc />
							<oCasingID />
							<oDPID />
							<oStringTypeID />
							<oJointID />
							<oGradeID />
						</casings_repeat>
						<tabFormAction />
						<popDPID />
						<popCasingID />
						<StringOther />
						<GradeOther />
						<delDP_ID />
						<popLengthMD />
						<popLengthTVD />
						<popLengthMSL />
						<popTopMSL />
						<popBottomMSL />
						<popBottomMD />
						<popBottomTVD />
						<surfaceElevation />
					</formData>
					<DP_CASING_EDIT xmlns="">
						<record>
							<APP_ID />
							<WELL_ID />
							<DRLNG_PLN_ID />
							<DRLNG_PLN_CSNG_ID />
							<CSNG_STRNG_TY_ID />
							<CSNG_STRNG_TY_NM />
							<STRNG_TY_NM_OTH />
							<HOLE_SZ />
							<TOP_SET_DEP_MD />
							<TOP_SET_DEP_TVD />
							<TOP_SET_DEP_MSL_CALC />
							<BTM_SET_DEP_MD />
							<BTM_SET_DEP_TVD />
							<BTM_SET_DEP_MSL_CALC />
							<CALC_ME_DEP_MD />
							<CALC_ME_DEP_TVD />
							<CALC_ME_DEP_MSL />
							<CSNG_SZ />
							<CSNG_STL_GR_ID />
							<CSNG_STL_GR_NM />
							<CSNG_GR_OTH />
							<CSNG_WGT />
							<CSNG_THRD_TY_ID />
							<CSNG_THRD_TY_NM />
							<CSNG_THRD_TY_OTH />
							<CSNG_CND />
							<CSNG_USED_INSP_DOC_FILE_PTH />
							<API_CSNG />
							<NON_API_CSNG_SPEC_FILE_PTH />
							<CLPSE_DSGN_SFTY_FAC />
							<CLPSE_DSGN_SFTY_FAC_CALC_TX />
							<BRST_DSGN_SFTY_FAC />
							<BRST_DSGN_SFTY_FAC_CALC_TX />
							<JNT_TNSLE_DSGN_SFTY_FAC_TY />
							<JNT_TNSLE_DSGN_SFTY_FAC />
							<JNT_TNSLE_DSGN_SFTY_FAC_CALC />
							<BDY_TNSLE_DSGN_SFTY_FAC_TY />
							<BDY_TNSLE_DSGN_SFTY_FAC />
							<BDY_TNSLE_DSGN_SFTY_FAC_CALC />
						</record>
					</DP_CASING_EDIT>
				</Data>
			</eForm>
		</xform:instance>
		<xform:instance id="saveAPD_DP3" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<popStringType />
						<oStringName />
						<oHoleSize />
						<oTopMD />
						<oTopTVD />
						<oBottomMD />
						<oBottomTVD />
						<popCasingSize />
						<oCasingSizeOther />
						<popCasingGrade />
						<oGradeOther />
						<oWeight />
						<popJoint />
						<oJointOther />
						<popCondition />
						<edit_4 />
						<popStandard />
						<edit_5 />
						<oCollapseSF />
						<oCollapseCalc />
						<oBurstSF />
						<oBurstCalc />
						<rbJointSF />
						<oJointSF />
						<oJointCalc />
						<rbBodySF />
						<oBodySF />
						<oBodyCalc />
						<casings_repeat>
							<popStringType />
							<popCasingSize />
							<popCasingGrade />
							<popJoint />
							<oJointOther />
							<popCondition />
							<edit_4 />
							<popStandard />
							<edit_5 />
							<oCollapseCalc />
							<oBurstCalc />
							<rbJointSF />
							<oJointCalc />
							<rbBodySF />
							<oBodyCalc />
							<oCasingID />
							<oDPID />
							<oStringTypeID />
							<oJointID />
							<oGradeID />
						</casings_repeat>
						<popDPID />
						<popCasingID />
						<StringOther />
						<GradeOther />
						<JointOther />
						<delDP_ID />
						<popLengthMD />
						<popLengthTVD />
						<popLengthMSL />
						<popTopMSL />
						<popBottomMSL />
						<popBottomMD />
						<popBottomTVD />
						<surfaceElevation />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div>
			<div class="vertical" id="DPSect3">
				<fieldset class="fieldsetGroup vertical" id="grpSection3">
					<legend class="fieldsetGroupLabelBackground" id="grpSection3_label_container">
						<span class="label" id="grpSection3_label">Section 3 - Casing </span>
					</legend>
					<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid" summary="">
						<tr>
							<td class="partialPageContainer vertical" colspan="8" id="ppgCasingTable" />
						</tr>
						<tr>
							<td class="vertical" colspan="2" id="layout_group">
								<div class="formElement">
									<span class="labelBackground" id="surfaceElevation_label_container">
										<label class="label" for="surfaceElevation" id="surfaceElevation_label">ELEVATION</label>
									</span>
									<span class="defaultBackground" id="surfaceElevation_container">
										<input class="textbox" id="surfaceElevation" maxLength="30" name="surfaceElevation" type="text" value="{/mvc:eForm/mvc:Data/WELL_LOCATION_VW/record/ELEVATION}" />
										<input name="surfaceElevation_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:surfaceElevation" xmlns="" />
										<span id="surfaceElevation_message_container"></span>
									</span>
								</div>
							</td>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
							<td class="labelBackground" id="btnAdd_label_container" />
							<td class="defaultBackground" id="btnAdd_container">
								<input class="button" id="btnAdd" name="btnAdd" onclick="return btnAddonclick((typeof(event) != 'undefined') ? event : arguments[0]);" type="button" value="Add..." />
							</td>
						</tr>
						<tr>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
						</tr>
					</table>
				</fieldset>
			</div>
			<div class="main_body vertical" id="popup_CasingTable">
				<div class="form vertical" id="popup_CasingTable_content">
					<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid_2" summary="">
						<tr>
							<td class="labelBackground" id="popStringType_label_container">
								<label class="label" for="popStringType" id="popStringType_label">String Type</label>
							</td>
							<td class="defaultBackground" id="popStringType_container">
								<select class="select" id="popStringType" name="popStringType" onchange="return popStringTypeonchange((typeof(event) != 'undefined') ? event : arguments[0]);">
									<option value="">
										<out:text>-- Select --</out:text>
									</option>
									<out:for-each select="/mvc:eForm/mvc:Data/CASING_STRING_TY_REF_VW/record">
										<option value="{CSNG_STRNG_TY_ID}" xmlns="">
											<out:if test="CSNG_STRNG_TY_ID = /mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CSNG_STRNG_TY_ID">
												<out:attribute name="selected">selected</out:attribute>
											</out:if>
											<out:value-of select="CSNG_STRNG_TY_NM" />
										</option>
									</out:for-each>
								</select>
								<input name="xgf_popStringType_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CSNG_STRNG_TY_ID" xmlns="" />
								<input name="xgf_popStringType_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popStringType" xmlns="" />
								<input name="xgf_popStringType_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:selStringType" xmlns="" />
								<span id="popStringType_message_container"></span>
							</td>
							<td class="hidden vertical" colspan="2" id="layoutStringTypeOther">
								<div class="formElement">
									<span class="labelBackground" id="popStringTypeOther_label_container">
										<label class="label" for="popStringTypeOther" id="popStringTypeOther_label">Other String Type</label>
									</span>
									<span class="defaultBackground" id="popStringTypeOther_container">
										<input class="textbox" id="popStringTypeOther" name="popStringTypeOther" style="width : 120px;" type="text" value="{mvc:edit}" />
										<input name="xgf_popStringTypeOther_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/STRNG_TY_NM_OTH" xmlns="" />
										<input name="xgf_popStringTypeOther_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popStringTypeOther" xmlns="" />
										<input name="xgf_popStringTypeOther_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:edit" xmlns="" />
										<span id="popStringTypeOther_message_container"></span>
									</span>
								</div>
							</td>
							<td class="labelBackground" id="popHoleSize_label_container">
								<label class="label" for="popHoleSize" id="popHoleSize_label">Hole Size</label>
							</td>
							<td class="defaultBackground" id="popHoleSize_container">
								<input class="textbox" id="popHoleSize" name="popHoleSize" size="11" type="text" value="{mvc:number_textbox}" />
								<input name="xgf_popHoleSize_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/HOLE_SZ" xmlns="" />
								<input name="xgf_popHoleSize_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popHoleSize" xmlns="" />
								<input name="xgf_popHoleSize_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:number_textbox" xmlns="" />
								<span id="popHoleSize_message_container"></span>
							</td>
							<td colspan="2"> </td>
						</tr>
						<tr>
							<td class="labelBackground" id="popTopMD_label_container">
								<label class="label" for="popTopMD" id="popTopMD_label">Top setting depth MD</label>
							</td>
							<td class="defaultBackground" id="popTopMD_container">
								<input class="textbox" id="popTopMD" name="popTopMD" onchange="return popTopMDonchange((typeof(event) != 'undefined') ? event : arguments[0]);" type="text" value="{/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/TOP_SET_DEP_MD}" />
								<input name="xgf_popTopMD_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/TOP_SET_DEP_MD" xmlns="" />
								<span id="popTopMD_message_container"></span>
							</td>
							<td class="labelBackground" id="popTopTVD_label_container">
								<label class="label" for="popTopTVD" id="popTopTVD_label">Top setting depth TVD</label>
							</td>
							<td class="defaultBackground" id="popTopTVD_container">
								<input class="textbox" id="popTopTVD" name="popTopTVD" onchange="return popTopTVDonchange((typeof(event) != 'undefined') ? event : arguments[0]);" type="text" value="{/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/TOP_SET_DEP_TVD}" />
								<input name="xgf_popTopTVD_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/TOP_SET_DEP_TVD" xmlns="" />
								<span id="popTopTVD_message_container"></span>
							</td>
							<td class="labelBackground" id="TopMSL_label_container">
								<label class="label" for="TopMSL" id="TopMSL_label">Top setting depth MSL</label>
							</td>
							<td class="defaultBackground" id="TopMSL_container">
								<span class="output" id="TopMSL">
									<out:choose>
										<out:when test="not(mvc:output) or (mvc:output = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="mvc:output" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td colspan="2"> </td>
						</tr>
						<tr>
							<td class="labelBackground" id="popBottomMD_label_container">
								<label class="label" for="popBottomMD" id="popBottomMD_label">Bottom setting depth MD</label>
							</td>
							<td class="defaultBackground" id="popBottomMD_container">
								<input class="textbox" id="popBottomMD" name="popBottomMD" onchange="return popBottomMDonchange((typeof(event) != 'undefined') ? event : arguments[0]);" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popBottomMD}" />
								<input name="xgf_popBottomMD_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/BTM_SET_DEP_MD" xmlns="" />
								<input name="xgf_popBottomMD_xpath_xga_saveAPD_DP3_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popBottomMD" xmlns="" />
								<span id="popBottomMD_message_container"></span>
							</td>
							<td class="labelBackground" id="popBottomTVD_label_container">
								<label class="label" for="popBottomTVD" id="popBottomTVD_label">Bottom setting depth TVD</label>
							</td>
							<td class="defaultBackground" id="popBottomTVD_container">
								<input class="textbox" id="popBottomTVD" name="popBottomTVD" onchange="return popBottomTVDonchange((typeof(event) != 'undefined') ? event : arguments[0]);" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popBottomTVD}" />
								<input name="xgf_popBottomTVD_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/BTM_SET_DEP_TVD" xmlns="" />
								<input name="xgf_popBottomTVD_xpath_xga_saveAPD_DP3_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popBottomTVD" xmlns="" />
								<span id="popBottomTVD_message_container"></span>
							</td>
							<td class="labelBackground" id="BottomMSL_label_container">
								<label class="label" for="BottomMSL" id="BottomMSL_label">Bottom setting depth MSL</label>
							</td>
							<td class="defaultBackground" id="BottomMSL_container">
								<span class="output" id="BottomMSL">
									<out:choose>
										<out:when test="not(mvc:popBottomMSL) or (mvc:popBottomMSL = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="mvc:popBottomMSL" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td colspan="2"> </td>
						</tr>
						<tr>
							<td class="labelBackground" id="LengthMD_label_container">
								<label class="label" for="LengthMD" id="LengthMD_label">Calculated casing length MD</label>
							</td>
							<td class="defaultBackground" id="LengthMD_container">
								<span class="output" id="LengthMD">
									<out:choose>
										<out:when test="not(mvc:output_3) or (mvc:output_3 = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="mvc:output_3" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td class="labelBackground" id="LengthTVD_label_container">
								<label class="label" for="LengthTVD" id="LengthTVD_label">Calculated casing length TVD</label>
							</td>
							<td class="defaultBackground" id="LengthTVD_container">
								<span class="output" id="LengthTVD">
									<out:choose>
										<out:when test="not(mvc:output_4) or (mvc:output_4 = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="mvc:output_4" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td class="labelBackground" id="LengthMSL_label_container">
								<label class="label" for="LengthMSL" id="LengthMSL_label">Calculated casing length MSL</label>
							</td>
							<td class="defaultBackground" id="LengthMSL_container">
								<span class="output" id="LengthMSL">
									<out:choose>
										<out:when test="not(mvc:output_5) or (mvc:output_5 = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="mvc:output_5" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td colspan="2"> </td>
						</tr>
						<tr>
							<td class="labelBackground" id="popCasingSize_label_container">
								<label class="label" for="popCasingSize" id="popCasingSize_label">Size</label>
							</td>
							<td class="defaultBackground" id="popCasingSize_container">
								<select class="select" id="popCasingSize" name="popCasingSize" onchange="return popCasingSizeonchange((typeof(event) != 'undefined') ? event : arguments[0]);">
									<option value="10">
										<out:if test="'10' = mvc:selCasingSize">
											<out:attribute name="selected">selected</out:attribute>
										</out:if>
										<out:text>10</out:text>
									</option>
									<option value="20">
										<out:if test="'20' = mvc:selCasingSize">
											<out:attribute name="selected">selected</out:attribute>
										</out:if>
										<out:text>20</out:text>
									</option>
									<option value="30">
										<out:if test="'30' = mvc:selCasingSize">
											<out:attribute name="selected">selected</out:attribute>
										</out:if>
										<out:text>30</out:text>
									</option>
									<option value="40">
										<out:if test="'40' = mvc:selCasingSize">
											<out:attribute name="selected">selected</out:attribute>
										</out:if>
										<out:text>40</out:text>
									</option>
								</select>
								<input name="xgf_popCasingSize_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CSNG_SZ" xmlns="" />
								<input name="xgf_popCasingSize_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popCasingSize" xmlns="" />
								<input name="xgf_popCasingSize_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:selCasingSize" xmlns="" />
								<span id="popCasingSize_message_container"></span>
							</td>
							<td class="vertical" colspan="2" id="grpCasingSizeOther">
								<div class="formElement">
									<span class="labelBackground" id="popSizeOther_label_container">
										<label class="label" for="popSizeOther" id="popSizeOther_label">Other Size</label>
									</span>
									<span class="defaultBackground" id="popSizeOther_container">
										<input class="textbox" id="popSizeOther" name="popSizeOther" size="8" type="text" value="{mvc:number_textbox_7}" />
										<input name="xgf_popSizeOther_xpath_xga_loadCasings_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:number_textbox_7" xmlns="" />
										<input name="xgf_popSizeOther_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popSizeOther" xmlns="" />
										<span id="popSizeOther_message_container"></span>
									</span>
								</div>
							</td>
							<td class="labelBackground" id="popCasingGrade_label_container">
								<label class="label" for="popCasingGrade" id="popCasingGrade_label">Grade</label>
							</td>
							<td class="defaultBackground" id="popCasingGrade_container">
								<select class="select" id="popCasingGrade" name="popCasingGrade" onchange="return popCasingGradeonchange((typeof(event) != 'undefined') ? event : arguments[0]);">
									<option value="">
										<out:text>-- Select --</out:text>
									</option>
									<out:for-each select="/mvc:eForm/mvc:Data/CASING_STEEL_GR_REF_VW/record">
										<option value="{CSNG_STL_GR_ID}" xmlns="">
											<out:if test="CSNG_STL_GR_ID = mvc:popCasingGrade">
												<out:attribute name="selected">selected</out:attribute>
											</out:if>
											<out:value-of select="CSNG_STL_GR_NM" />
										</option>
									</out:for-each>
								</select>
								<input name="xgf_popCasingGrade_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CSNG_STL_GR_ID" xmlns="" />
								<input name="xgf_popCasingGrade_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popCasingGrade" xmlns="" />
								<input name="xgf_popCasingGrade_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:selCasingGrade" xmlns="" />
								<span id="popCasingGrade_message_container"></span>
							</td>
							<td class="vertical" colspan="2" id="grpGradeOther">
								<div class="formElement">
									<span class="labelBackground" id="popGradeOther_label_container">
										<label class="label" for="popGradeOther" id="popGradeOther_label">Other Grade</label>
									</span>
									<span class="defaultBackground" id="popGradeOther_container">
										<input class="textbox" id="popGradeOther" name="popGradeOther" size="8" type="text" value="{mvc:edit_2}" />
										<input name="xgf_popGradeOther_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CSNG_GR_OTHER" xmlns="" />
										<input name="xgf_popGradeOther_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popGradeOther" xmlns="" />
										<input name="xgf_popGradeOther_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:edit_2" xmlns="" />
										<span id="popGradeOther_message_container"></span>
									</span>
								</div>
							</td>
						</tr>
						<tr>
							<td class="labelBackground" id="popWeight_label_container">
								<label class="label" for="popWeight" id="popWeight_label">Weight</label>
							</td>
							<td class="defaultBackground" id="popWeight_container">
								<input class="textbox" id="popWeight" name="popWeight" size="11" type="text" value="{mvc:number_textbox_6}" />
								<input name="xgf_popWeight_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CSNG_WGT" xmlns="" />
								<input name="xgf_popWeight_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popWeight" xmlns="" />
								<input name="xgf_popWeight_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:number_textbox_6" xmlns="" />
								<span id="popWeight_message_container"></span>
							</td>
							<td class="labelBackground" id="popJoint_label_container">
								<label class="label" for="popJoint" id="popJoint_label">Joint</label>
							</td>
							<td class="defaultBackground" id="popJoint_container">
								<select class="select" id="popJoint" name="popJoint" onchange="return popJointonchange((typeof(event) != 'undefined') ? event : arguments[0]);">
									<option value="">
										<out:text>-- Select --</out:text>
									</option>
									<out:for-each select="/mvc:eForm/mvc:Data/CASING_THREAD_TY_REF_VW/record">
										<option value="{CSNG_THRD_TY_ID}" xmlns="">
											<out:if test="CSNG_THRD_TY_ID = mvc:popJoint">
												<out:attribute name="selected">selected</out:attribute>
											</out:if>
											<out:value-of select="CSNG_THRD_TY_NM" />
										</option>
									</out:for-each>
								</select>
								<input name="xgf_popJoint_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CSNG_THRD_TY_ID" xmlns="" />
								<input name="xgf_popJoint_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popJoint" xmlns="" />
								<input name="xgf_popJoint_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:selJoint" xmlns="" />
								<span id="popJoint_message_container"></span>
							</td>
							<td class="vertical" colspan="2" id="layoutJointOther">
								<div class="formElement">
									<span class="labelBackground" id="popJointOther_label_container">
										<label class="label" for="popJointOther" id="popJointOther_label">Other Joint Type</label>
									</span>
									<span class="defaultBackground" id="popJointOther_container">
										<input class="textbox" id="popJointOther" name="popJointOther" size="8" type="text" value="{mvc:edit_3}" />
										<input name="xgf_popJointOther_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CSNG_THRD_TY_OTH" xmlns="" />
										<input name="xgf_popJointOther_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popJointOther" xmlns="" />
										<input name="xgf_popJointOther_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:edit_3" xmlns="" />
										<span id="popJointOther_message_container"></span>
									</span>
								</div>
							</td>
							<td colspan="2"> </td>
						</tr>
						<tr>
							<td colspan="8">
								<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="layout_group_3" summary="">
									<tr>
										<td class="labelBackground" id="popCondition_label_container" style="width : 87px;">
											<label class="label" for="popCondition1" id="popCondition_label">Condition</label>
										</td>
										<td class="defaultBackground" id="popCondition_container">
											<span class="selectBoolean">
												<input class="radio" id="popCondition1" name="popCondition" type="radio" value="NEW">
													<out:if test="mvc:rbCondition = 'NEW'">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
												</input>
											</span>
											<label class="selectBooleanCaption" for="popCondition1">New</label>
											<span class="selectBoolean">
												<input class="radio" id="popCondition2" name="popCondition" type="radio" value="USED">
													<out:if test="mvc:rbCondition = 'USED'">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
												</input>
												<input name="xgf_popCondition_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CSNG_CND" xmlns="" />
												<input name="xgf_popCondition_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popCondition" xmlns="" />
												<input name="xgf_popCondition_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:rbCondition" xmlns="" />
											</span>
											<label class="selectBooleanCaption" for="popCondition2">Used</label>
											<input id="popCondition_value_if_not_submitted" name="popCondition_value_if_not_submitted" type="hidden" value="" />
											<span id="popCondition_message_container"></span>
										</td>
										<td class="horizontal" id="grpCondition" style="width : 486px;">
											<span class="formElement">
												<span class="labelBackground" id="edit_4_label_container" style="width : 171px;">
													<label class="label" for="edit_4" id="edit_4_label">Inspection Document</label>
												</span>
												<span class="defaultBackground" id="edit_4_container">
													<input class="textbox" id="edit_4" name="edit_4" type="text" value="{mvc:edit_4}" />
													<input name="xgf_edit_4_xpath_xga_loadCasings_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:edit_4" xmlns="" />
													<input name="xgf_edit_4_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:edit_4" xmlns="" />
													<span id="edit_4_message_container"></span>
												</span>
											</span>
											<span class="formElement">
												<span class="defaultBackground" id="button_container">
													<input class="button" id="button" name="button" type="button" value="Browse..." />
												</span>
											</span>
										</td>
										<td class="labelBackground" id="popStandard_label_container" style="width : 76px;">
											<label class="label" for="popStandard1" id="popStandard_label">Standard</label>
										</td>
										<td class="defaultBackground" id="popStandard_container">
											<span class="selectBoolean">
												<input class="radio" id="popStandard1" name="popStandard" type="radio" value="API">
													<out:if test="mvc:rbStandard = 'API'">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
												</input>
											</span>
											<label class="selectBooleanCaption" for="popStandard1">API</label>
											<span class="selectBoolean">
												<input class="radio" id="popStandard2" name="popStandard" type="radio" value="NONAPI">
													<out:if test="mvc:rbStandard = 'NONAPI'">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
												</input>
												<input name="xgf_popStandard_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/API_CSNG" xmlns="" />
												<input name="xgf_popStandard_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popStandard" xmlns="" />
												<input name="xgf_popStandard_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:rbStandard" xmlns="" />
											</span>
											<label class="selectBooleanCaption" for="popStandard2">Non-API</label>
											<input id="popStandard_value_if_not_submitted" name="popStandard_value_if_not_submitted" type="hidden" value="" />
											<span id="popStandard_message_container"></span>
										</td>
										<td class="horizontal" id="grpStandard" style="width : 486px;">
											<span class="formElement">
												<span class="labelBackground" id="edit_5_label_container" style="width : 130px;">
													<label class="label" for="edit_5" id="edit_5_label">Spec Document</label>
												</span>
												<span class="defaultBackground" id="edit_5_container">
													<input class="textbox" id="edit_5" name="edit_5" type="text" value="{mvc:edit_5}" />
													<input name="xgf_edit_5_xpath_xga_loadCasings_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:edit_5" xmlns="" />
													<input name="xgf_edit_5_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:edit_5" xmlns="" />
													<span id="edit_5_message_container"></span>
												</span>
											</span>
											<span class="formElement">
												<span class="defaultBackground" id="button_2_container">
													<input class="button" id="button_2" name="button_2" type="button" value="Browse..." />
												</span>
											</span>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td colspan="8">
								<fieldset class="fieldsetInnerGroup  vertical" id="grpSafety">
									<legend class="fieldsetGroupLabelBackground" id="grpSafety_label_container">
										<span class="label" id="grpSafety_label">Safety factors</span>
									</legend>
									<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid_3" summary="">
										<tr>
											<td class="labelBackground" id="popCollapseSF_label_container" style="width : 280px;">
												<label class="label" for="popCollapseSF" id="popCollapseSF_label">Collapse Design Safety Factor</label>
											</td>
											<td class="defaultBackground" id="popCollapseSF_container">
												<input class="textbox" id="popCollapseSF" name="popCollapseSF" size="11" type="text" value="{mvc:number_textbox_8}" />
												<input name="xgf_popCollapseSF_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CLPSE_DSGN_SFTY_FAC" xmlns="" />
												<input name="xgf_popCollapseSF_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popCollapseSF" xmlns="" />
												<input name="xgf_popCollapseSF_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:number_textbox_8" xmlns="" />
												<span id="popCollapseSF_message_container"></span>
											</td>
											<td class="labelBackground" id="popCollapseCalc_label_container" style="width : 160px;">
												<label class="label" for="popCollapseCalc" id="popCollapseCalc_label">Calculation</label>
											</td>
											<td class="defaultBackground" colspan="3" id="popCollapseCalc_container">
												<textarea class="textbox" cols="40" id="popCollapseCalc" name="popCollapseCalc" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" style="width : 540px;">
													<out:value-of select="mvc:textarea" />
												</textarea>
												<input name="xgf_popCollapseCalc_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CLPSE_DSGN_SFTY_FAC_CALC_TX" xmlns="" />
												<input name="xgf_popCollapseCalc_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popCollapseCalc" xmlns="" />
												<input name="xgf_popCollapseCalc_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:textarea" xmlns="" />
												<span id="popCollapseCalc_message_container"></span>
											</td>
										</tr>
										<tr>
											<td class="labelBackground" id="popBurstSF_label_container" style="width : 280px;">
												<label class="label" for="popBurstSF" id="popBurstSF_label">Burst Design Safety Factor</label>
											</td>
											<td class="defaultBackground" id="popBurstSF_container">
												<input class="textbox" id="popBurstSF" name="popBurstSF" size="11" type="text" value="{mvc:number_textbox_9}" />
												<input name="xgf_popBurstSF_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/BRST_DSGN_SFTY_FAC" xmlns="" />
												<input name="xgf_popBurstSF_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popBurstSF" xmlns="" />
												<input name="xgf_popBurstSF_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:number_textbox_9" xmlns="" />
												<span id="popBurstSF_message_container"></span>
											</td>
											<td class="labelBackground" id="popBurstCalc_label_container" style="width : 160px;">
												<label class="label" for="popBurstCalc" id="popBurstCalc_label">Calculation</label>
											</td>
											<td class="defaultBackground" colspan="3" id="popBurstCalc_container">
												<textarea class="textbox" cols="40" id="popBurstCalc" name="popBurstCalc" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" style="width : 540px;">
													<out:value-of select="mvc:textarea_2" />
												</textarea>
												<input name="xgf_popBurstCalc_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/BRST_DSGN_SFTY_FAC_CALC_TX" xmlns="" />
												<input name="xgf_popBurstCalc_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popBurstCalc" xmlns="" />
												<input name="xgf_popBurstCalc_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:textarea_2" xmlns="" />
												<span id="popBurstCalc_message_container"></span>
											</td>
										</tr>
										<tr>
											<td class="labelBackground" id="popJointSFType_label_container" style="vertical-align : middle; width : 280px;">
												<label class="label" for="popJointSFType1" id="popJointSFType_label">Joint Tensile Design Safety Factor type</label>
											</td>
											<td class="defaultBackground" id="popJointSFType_container">
												<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
													<tr>
														<td class="selectBoolean">
															<input class="radio" id="popJointSFType1" name="popJointSFType" type="radio" value="DRY">
																<out:if test="mvc:radio = 'DRY'">
																	<out:attribute name="checked">checked</out:attribute>
																</out:if>
															</input>
														</td>
														<td class="selectBooleanCaption">
															<label for="popJointSFType1">Dry</label>
														</td>
													</tr>
													<tr>
														<td class="selectBoolean">
															<input class="radio" id="popJointSFType2" name="popJointSFType" type="radio" value="BUOYANT">
																<out:if test="mvc:radio = 'BUOYANT'">
																	<out:attribute name="checked">checked</out:attribute>
																</out:if>
															</input>
															<input name="xgf_popJointSFType_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/JNT_TNSLE_DSGN_SFTY_FAC_TY" xmlns="" />
															<input name="xgf_popJointSFType_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popJointSFType" xmlns="" />
															<input name="xgf_popJointSFType_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:radio" xmlns="" />
														</td>
														<td class="selectBooleanCaption">
															<label for="popJointSFType2">Buoyant</label>
														</td>
													</tr>
												</table>
												<input id="popJointSFType_value_if_not_submitted" name="popJointSFType_value_if_not_submitted" type="hidden" value="" />
												<span id="popJointSFType_message_container"></span>
											</td>
											<td class="labelBackground" id="popJointSF_label_container" style="width : 160px;">
												<label class="label" for="popJointSF" id="popJointSF_label">Joint Tensile Design Safety Factor</label>
											</td>
											<td class="defaultBackground" id="popJointSF_container">
												<input class="textbox" id="popJointSF" name="popJointSF" size="4" type="text" value="{mvc:number_textbox_10}" />
												<input name="xgf_popJointSF_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/JNT_TNSLE_DSGN_SFTY_FAC" xmlns="" />
												<input name="xgf_popJointSF_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popJointSF" xmlns="" />
												<input name="xgf_popJointSF_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:number_textbox_10" xmlns="" />
												<span id="popJointSF_message_container"></span>
											</td>
											<td class="labelBackground" id="popJointCalc_label_container" style="width : 98px;">
												<label class="label" for="popJointCalc" id="popJointCalc_label">Calculation</label>
											</td>
											<td class="defaultBackground" id="popJointCalc_container">
												<textarea class="textbox" cols="40" id="popJointCalc" name="popJointCalc" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" style="width : 317px;">
													<out:value-of select="mvc:textarea_3" />
												</textarea>
												<input name="xgf_popJointCalc_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/JNT_TNSLE_DSGN_SFTY_FAC_CALC" xmlns="" />
												<input name="xgf_popJointCalc_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popJointCalc" xmlns="" />
												<input name="xgf_popJointCalc_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:textarea_3" xmlns="" />
												<span id="popJointCalc_message_container"></span>
											</td>
										</tr>
										<tr>
											<td class="labelBackground" id="popBodySFType_label_container" style="vertical-align : middle; width : 280px;">
												<label class="label" for="popBodySFType1" id="popBodySFType_label">Body Tensile Design Safety Factor type</label>
											</td>
											<td class="defaultBackground" id="popBodySFType_container">
												<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
													<tr>
														<td class="selectBoolean">
															<input class="radio" id="popBodySFType1" name="popBodySFType" type="radio" value="DRY">
																<out:if test="mvc:radio = 'DRY'">
																	<out:attribute name="checked">checked</out:attribute>
																</out:if>
															</input>
														</td>
														<td class="selectBooleanCaption">
															<label for="popBodySFType1">Dry</label>
														</td>
													</tr>
													<tr>
														<td class="selectBoolean">
															<input class="radio" id="popBodySFType2" name="popBodySFType" type="radio" value="BUOYANT">
																<out:if test="mvc:radio = 'BUOYANT'">
																	<out:attribute name="checked">checked</out:attribute>
																</out:if>
															</input>
															<input name="xgf_popBodySFType_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/BDY_TNSLE_DSGN_SFTY_FAC_TY" xmlns="" />
															<input name="xgf_popBodySFType_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popBodySFType" xmlns="" />
															<input name="xgf_popBodySFType_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP" type="hidden" value="mvc:radio" xmlns="" />
															<input name="xgf_popBodySFType_xpath_xga_loadAPD_DP4" type="hidden" value="mvc:radio_2" xmlns="" />
														</td>
														<td class="selectBooleanCaption">
															<label for="popBodySFType2">Buoyant</label>
														</td>
													</tr>
												</table>
												<input id="popBodySFType_value_if_not_submitted" name="popBodySFType_value_if_not_submitted" type="hidden" value="" />
												<span id="popBodySFType_message_container"></span>
											</td>
											<td class="labelBackground" id="popBodySF_label_container" style="width : 160px;">
												<label class="label" for="popBodySF" id="popBodySF_label">Body Tensile Design Safety Factor</label>
											</td>
											<td class="defaultBackground" id="popBodySF_container">
												<input class="textbox" id="popBodySF" name="popBodySF" size="11" type="text" value="{mvc:number_textbox_10}" />
												<input name="xgf_popBodySF_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/BDY_TNSLE_DSGN_SFTY_FAC" xmlns="" />
												<input name="xgf_popBodySF_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popBodySF" xmlns="" />
												<input name="xgf_popBodySF_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP" type="hidden" value="mvc:number_textbox_10" xmlns="" />
												<input name="xgf_popBodySF_xpath_xga_loadAPD_DP4" type="hidden" value="mvc:number_textbox_11" xmlns="" />
												<span id="popBodySF_message_container"></span>
											</td>
											<td class="labelBackground" id="popBodyCalc_label_container" style="width : 98px;">
												<label class="label" for="popBodyCalc" id="popBodyCalc_label">Calculation</label>
											</td>
											<td class="defaultBackground" id="popBodyCalc_container">
												<textarea class="textbox" cols="40" id="popBodyCalc" name="popBodyCalc" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" style="width : 317px;">
													<out:value-of select="mvc:textarea_3" />
												</textarea>
												<input name="xgf_popBodyCalc_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/BDY_TNSLE_DSGN_SFTY_FAC_CALC" xmlns="" />
												<input name="xgf_popBodyCalc_xpath_xga_saveAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popBodyCalc" xmlns="" />
												<input name="xgf_popBodyCalc_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP" type="hidden" value="mvc:textarea_3" xmlns="" />
												<input name="xgf_popBodyCalc_xpath_xga_loadAPD_DP4" type="hidden" value="mvc:textarea_4" xmlns="" />
												<span id="popBodyCalc_message_container"></span>
											</td>
										</tr>
									</table>
								</fieldset>
							</td>
						</tr>
					</table>
					<div class="vertical" id="hiddenFields">
						<div class="formElement">
							<span class="labelBackground" id="popTopMSL_label_container">
								<label class="label" for="popTopMSL" id="popTopMSL_label">Top MSL</label>
							</span>
							<span class="defaultBackground" id="popTopMSL_container">
								<input class="textbox" id="popTopMSL" name="popTopMSL" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popTopMSL}" />
								<input name="xgf_popTopMSL_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/TOP_SET_DEP_MSL_CALC" xmlns="" />
								<input name="xgf_popTopMSL_xpath_xga_saveAPD_DP3_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popTopMSL" xmlns="" />
								<span id="popTopMSL_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="popBottomMSL_label_container">
								<label class="label" for="popBottomMSL" id="popBottomMSL_label">Bottom MSL</label>
							</span>
							<span class="defaultBackground" id="popBottomMSL_container">
								<input class="textbox" id="popBottomMSL" name="popBottomMSL" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popBottomMSL}" />
								<input name="xgf_popBottomMSL_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/BTM_SET_DEP_MSL_CALC" xmlns="" />
								<input name="xgf_popBottomMSL_xpath_xga_saveAPD_DP3_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popBottomMSL" xmlns="" />
								<span id="popBottomMSL_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="popLengthMD_label_container">
								<label class="label" for="popLengthMD" id="popLengthMD_label">Length MD</label>
							</span>
							<span class="defaultBackground" id="popLengthMD_container">
								<input class="textbox" id="popLengthMD" name="popLengthMD" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popLengthMD}" />
								<input name="xgf_popLengthMD_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CALC_ME_DEP_MD" xmlns="" />
								<input name="xgf_popLengthMD_xpath_xga_saveAPD_DP3_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popLengthMD" xmlns="" />
								<span id="popLengthMD_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="popLengthTVD_label_container">
								<label class="label" for="popLengthTVD" id="popLengthTVD_label">Length TVD</label>
							</span>
							<span class="defaultBackground" id="popLengthTVD_container">
								<input class="textbox" id="popLengthTVD" name="popLengthTVD" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popLengthTVD}" />
								<input name="xgf_popLengthTVD_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CALC_ME_DEP_TVD" xmlns="" />
								<input name="xgf_popLengthTVD_xpath_xga_saveAPD_DP3_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popLengthTVD" xmlns="" />
								<span id="popLengthTVD_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="popLengthMSL_label_container">
								<label class="label" for="popLengthMSL" id="popLengthMSL_label">Length MSL</label>
							</span>
							<span class="defaultBackground" id="popLengthMSL_container">
								<input class="textbox" id="popLengthMSL" name="popLengthMSL" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popLengthMSL}" />
								<input name="xgf_popLengthMSL_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/CALC_ME_DEP_MSL" xmlns="" />
								<input name="xgf_popLengthMSL_xpath_xga_saveAPD_DP3_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popLengthMSL" xmlns="" />
								<span id="popLengthMSL_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="tabFormAction_label_container">
								<label class="label" for="tabFormAction" id="tabFormAction_label">Table Action</label>
							</span>
							<span class="defaultBackground" id="tabFormAction_container">
								<input class="textbox" id="tabFormAction" name="tabFormAction" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:tabFormAction}" />
								<input name="xgf_tabFormAction_xpath_xga_loadCasings_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:tabFormAction" xmlns="" />
								<span id="tabFormAction_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="popDPID_label_container">
								<label class="label" for="popDPID" id="popDPID_label">DP_ID</label>
							</span>
							<span class="defaultBackground" id="popDPID_container">
								<input class="textbox" id="popDPID" name="popDPID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popDPID}" />
								<input name="xgf_popDPID_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/DRLNG_PLN_ID" xmlns="" />
								<input name="xgf_popDPID_xpath_xga_saveAPD_DP3_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popDPID" xmlns="" />
								<span id="popDPID_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="popCasingID_label_container">
								<label class="label" for="popCasingID" id="popCasingID_label">Casing ID</label>
							</span>
							<span class="defaultBackground" id="popCasingID_container">
								<input class="textbox" id="popCasingID" name="popCasingID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popCasingID}" />
								<input name="xgf_popCasingID_xpath_xga_loadCasings" type="hidden" value="/mvc:eForm/mvc:Data/DP_CASING_EDIT/record/DRLNG_PLN_CSNG_ID" xmlns="" />
								<input name="xgf_popCasingID_xpath_xga_saveAPD_DP3_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popCasingID" xmlns="" />
								<span id="popCasingID_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="StringOther_label_container">
								<label class="label" for="StringOther" id="StringOther_label">StringOther</label>
							</span>
							<span class="defaultBackground" id="StringOther_container">
								<input class="textbox" id="StringOther" name="StringOther" type="text" value="{/mvc:eForm/mvc:Data/CASING_STRING_TY_OTHER/record/CSNG_STRNG_TY_ID}" />
								<input name="StringOther_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:StringOther" xmlns="" />
								<span id="StringOther_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="GradeOther_label_container">
								<label class="label" for="GradeOther" id="GradeOther_label">GradeOther</label>
							</span>
							<span class="defaultBackground" id="GradeOther_container">
								<input class="textbox" id="GradeOther" name="GradeOther" type="text" value="{/mvc:eForm/mvc:Data/CASING_STEEL_GR_OTHER/record/CSNG_STL_GR_ID}" />
								<input name="GradeOther_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:GradeOther" xmlns="" />
								<span id="GradeOther_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="JointOther_label_container">
								<label class="label" for="JointOther" id="JointOther_label">JointOther</label>
							</span>
							<span class="defaultBackground" id="JointOther_container">
								<input class="textbox" id="JointOther" maxLength="30" name="JointOther" size="30" type="text" value="{/mvc:eForm/mvc:Data/CASING_THREAD_TY_OTHER/record/CSNG_THRD_TY_ID}" />
								<input name="JointOther_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:JointOther" xmlns="" />
								<span id="JointOther_message_container"></span>
							</span>
						</div>
					</div>
				</div>
				<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="fields_horz_left_group" summary="">
					<tr>
						<td class="defaultBackground" id="submit_dialog_button_container">
							<a class="button" href="javascript: submit_dialog_buttonhref(null);" id="submit_dialog_button" name="submit_dialog_button">
								<span>
									<span>Save</span>
								</span>
							</a>
						</td>
						<td class="defaultBackground" id="cancel_dialog_button_container">
							<a class="button" href="javascript: cancel_dialog_buttonhref(null);" id="cancel_dialog_button" name="cancel_dialog_button">
								<span>
									<span>Cancel</span>
								</span>
							</a>
						</td>
					</tr>
				</table>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>surfaceElevation</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','30');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>btnAdd</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:text>field = document.getElementById('</out:text>
			<out:text>popup_CasingTable');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.Dialog');field.setAttribute('data-dojo-props', 'title:&quot;Edit Casing Table entry&quot;');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popStringType</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popStringTypeOther</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popHoleSize</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popTopMD</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popTopTVD</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>TopMSL</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popBottomMD</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popBottomTVD</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>BottomMSL</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>LengthMD</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>LengthTVD</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>LengthMSL</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popCasingSize</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popSizeOther</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:9em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popCasingGrade</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpGradeOther', condition: { type: '==', values: [{ type: 'field', name: 'popCasingGrade'}, { type: 'field', name: 'GradeOther'}] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>popGradeOther</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popWeight</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_regularExpression','^##.###$');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popJoint</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'layoutJointOther', condition: { type: '==', values: [{ type: 'field', name: 'popJoint'}, { type: 'field', name: 'JointOther'}] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>popJointOther</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popCondition1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popCondition2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpCondition',condition: {type:'==', values:[{type:'field', name:'popCondition'}, 'U']}});<out:text>
            field = document.getElementById('</out:text>
			<out:text>edit_4</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>button</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popStandard1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popStandard2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpStandard',condition: {type:'==', values:[{type:'field', name:'popStandard'}, 'N']}});<out:text>
            field = document.getElementById('</out:text>
			<out:text>edit_5</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>button_2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popCollapseSF</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popCollapseCalc</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popBurstSF</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popBurstCalc</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popJointSFType1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popJointSFType2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popJointSF</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','5.0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0.0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popJointCalc</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popBodySFType1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popBodySFType2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popBodySF</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popBodyCalc</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popTopMSL</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popBottomMSL</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popLengthMD</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popLengthTVD</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popLengthMSL</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>tabFormAction</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popDPID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popCasingID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>StringOther</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>GradeOther</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>JointOther</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','30');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_DPSect3onbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/Dialog&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/form/NumberTextBox&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
            }
            APD_DPSect3onbeforeload();
            function APD_DPSect3onload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objTargetToSet = {name: 'TargetToSet', option: 'PageField', value: 'tabFormAction'};
                    var objValueToAssign = {name: 'ValueToAssign', option: 'Static', value: ''};
                    hyf.FMAction.handleSetValue(objTargetToSet, objValueToAssign, objEventSource);
                    var objAction = {name: 'Action', option: 'Action', value: 'loadCasings.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgCasingTable'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
            }
            hyf.attachEventHandler(window, 'onload', APD_DPSect3onload);
                    
            function btnAddonclick(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'btnAdd', field: document.getElementById('btnAdd')};

                return dojo.hitch(objEventSource.field, function(){
                    var objContainer = {name: 'Container', option: 'PageGroup', value: 'popup_CasingTable_content'};
                    var objMode = {name: 'Mode', option: 'clear', value: ''};
                    hyf.FMAction.handleContainerReset(objContainer, objMode, objEventSource);
                    var objTargetToSet = {name: 'TargetToSet', option: 'PageField', value: 'tabFormAction'};
                    var objValueToAssign = {name: 'ValueToAssign', option: 'Static', value: 'Update'};
                    hyf.FMAction.handleSetValue(objTargetToSet, objValueToAssign, objEventSource);
                    document.getElementById('popDPID').value = document.getElementById('DPID').value;
                    var objGroup = {name: 'Group', option: 'PageGroup', value: 'popup_CasingTable'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    })();
            }
            
            function popStringTypeonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'popStringType', field: document.getElementById('popStringType')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'popStringType'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'PageField', value: 'StringOther'}, objEventSource)) {
                    hyf.util.showComponent(document.getElementById('layoutStringTypeOther'));
                    } else {
                    hyf.util.hideComponent(document.getElementById('layoutStringTypeOther'));
                    }
                    })();
            }
            
            function popTopMDonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'popTopMD', field: document.getElementById('popTopMD')};

                return dojo.hitch(objEventSource.field, function(){
                    computeLength('MD');
                    })();
            }
            
            function popTopTVDonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'popTopTVD', field: document.getElementById('popTopTVD')};

                return dojo.hitch(objEventSource.field, function(){
                    computeLength('TVD');
computeMSL('Top');
                    })();
            }
            
            function popBottomMDonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'popBottomMD', field: document.getElementById('popBottomMD')};

                return dojo.hitch(objEventSource.field, function(){
                    computeLength('MD');
computeMSL('Bottom');
                    })();
            }
            
            function popBottomTVDonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'popBottomTVD', field: document.getElementById('popBottomTVD')};

                return dojo.hitch(objEventSource.field, function(){
                    computeLength('TVD');
computeMSL('Bottom');
                    })();
            }
            
            function popCasingSizeonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'popCasingSize', field: document.getElementById('popCasingSize')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'popCasingSize'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'Static', value: 'OTHER'}, objEventSource)) {
                    hyf.util.showComponent(document.getElementById('grpCasingSizeOther'));
                    } else {
                    hyf.util.hideComponent(document.getElementById('grpCasingSizeOther'));
                    }
                    })();
            }
            
            function popCasingGradeonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'popCasingGrade', field: document.getElementById('popCasingGrade')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'popCasingGrade'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'PageField', value: 'GradeOther'}, objEventSource)) {
                    hyf.util.showComponent(document.getElementById('grpGradeOther'));
                    } else {
                    hyf.util.hideComponent(document.getElementById('grpGradeOther'));
                    }
                    })();
            }
            
            function popJointonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'popJoint', field: document.getElementById('popJoint')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkFieldValue({name: 'FieldToCheck', option: 'PageField', value: 'popJoint'}, {name: 'Comparison', option: '==', value: ''}, {name: 'CheckValue', option: 'PageField', value: 'JointOther'}, objEventSource)) {
                    hyf.util.showComponent(document.getElementById('layoutJointOther'));
                    } else {
                    hyf.util.hideComponent(document.getElementById('layoutJointOther'));
                    }
                    })();
            }
            
            function submit_dialog_buttonhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'submit_dialog_button', field: document.getElementById('submit_dialog_button')};

                return dojo.hitch(objEventSource.field, function(){
                    var objGroup = {name: 'Group', option: 'PageGroup', value: 'popup_CasingTable'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    var objAction = {name: 'Action', option: 'Action', value: 'loadCasings.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: 'popup_CasingTable_content'};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgCasingTable'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    })();
            }
            
            function cancel_dialog_buttonhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'cancel_dialog_button', field: document.getElementById('cancel_dialog_button')};

                return dojo.hitch(objEventSource.field, function(){
                    var objGroup = {name: 'Group', option: 'PageGroup', value: 'popup_CasingTable'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
		<input disabled="disabled" id="hyf_display_variable_JointOther" type="hidden" value="" xmlns="" />
	</out:template>
</out:stylesheet>
