<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">APD_DPSect4</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_APD_DPSect4" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="loadCement" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<cementRepeat>
							<oDPID />
							<oCasingID />
							<oDPID />
							<oCasingID />
						</cementRepeat>
						<oTopMD />
						<oBottomMD />
						<oCementType />
						<oAdditives />
						<oQuantitySKS />
						<oYield />
						<oDensity />
						<oVolume />
						<oDepthDV />
						<popCementID />
						<popDPID />
						<tabAction />
					</formData>
					<CASING_CEM_EDIT xmlns="">
						<record>
							<APP_ID />
							<DRLNG_PLN_ID />
							<DRLNG_PLN_CSNG_ID />
							<CEM_SGMNT_TOP_MD />
							<CEM_SGMNT_BTM_MD />
							<CEM_TY_NM />
							<CEM_ADDITIVES />
							<CEM_QTY />
							<CEM_YLD />
							<CEM_DEN />
							<CEM_VOL />
							<DV_TOOL_DEP />
						</record>
					</CASING_CEM_EDIT>
				</Data>
			</eForm>
		</xform:instance>
		<xform:instance id="saveAPD_DP4" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<oTopMD />
						<oBottomMD />
						<oCementType />
						<oAdditives />
						<oQuantitySKS />
						<oYield />
						<oDensity />
						<oVolume />
						<oDepthDV />
						<casings_repeat>
							<selStringType />
							<oCementType />
							<oTopMD />
							<oBottomMD />
							<oQuantitySKS />
							<oYield />
							<oDensity />
							<selCasingSize />
							<oDepthDV />
							<selCasingGrade />
							<oAdditives />
							<oVolume />
							<selJoint />
							<popCementID />
							<rbCondition />
							<popDPID />
							<rbStandard />
							<edit_5 />
							<number_textbox_8 />
							<textarea></textarea>
							<number_textbox_9 />
							<textarea_2 />
							<radio />
							<number_textbox_10 />
							<textarea_3 />
							<radio_2 />
							<number_textbox_11 />
							<textarea_4 />
						</casings_repeat>
						<cementRepeat>
							<oDPID />
							<oCasingID />
							<oDPID />
							<oCasingID />
						</cementRepeat>
						<popCementID />
						<popDPID />
						<tabAction />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div>
			<div class="vertical" id="DPSect4">
				<fieldset class="fieldsetGroup vertical" id="grpSection4">
					<legend class="fieldsetGroupLabelBackground" id="grpSection4_label_container">
						<span class="label" id="grpSection4_label">Section 4 - Cement</span>
					</legend>
					<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid" summary="">
						<tr>
							<td class="partialPageContainer vertical" colspan="8" id="ppgCementTable" />
						</tr>
						<tr>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
						</tr>
						<tr>
							<td class="hidden vertical" colspan="2" id="layoutAction">
								<div class="formElement">
									<span class="labelBackground" id="tabAction_label_container">
										<label class="label" for="tabAction" id="tabAction_label">Action</label>
									</span>
									<span class="defaultBackground" id="tabAction_container">
										<input class="textbox" id="tabAction" name="tabAction" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:tabAction}" />
										<input name="tabAction_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:tabAction" xmlns="" />
										<span id="tabAction_message_container"></span>
									</span>
								</div>
							</td>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
						</tr>
					</table>
				</fieldset>
			</div>
			<div class="main_body vertical" id="popup_CementTable">
				<div class="form vertical" id="popup_CementTable_content">
					<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid_2" summary="">
						<tr>
							<td class="labelBackground" id="popTopMD_label_container">
								<label class="label" for="popTopMD" id="popTopMD_label">Top MD of Segment</label>
							</td>
							<td class="defaultBackground" id="popTopMD_container">
								<input class="textbox" id="popTopMD" name="popTopMD" size="11" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popTopMD}" />
								<input name="xgf_popTopMD_xpath_xga_loadCement" type="hidden" value="/mvc:eForm/mvc:Data/CASING_CEM_EDIT/record/CEM_SGMNT_TOP_MD" xmlns="" />
								<input name="xgf_popTopMD_xpath_xga_saveAPD_DP4_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popTopMD" xmlns="" />
								<span id="popTopMD_message_container"></span>
							</td>
							<td class="labelBackground" id="popBottomMD_label_container">
								<label class="label" for="popBottomMD" id="popBottomMD_label">Bottom_MD_of_Segment</label>
							</td>
							<td class="defaultBackground" id="popBottomMD_container">
								<input class="textbox" id="popBottomMD" name="popBottomMD" size="11" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popBottomMD}" />
								<input name="xgf_popBottomMD_xpath_xga_loadCement" type="hidden" value="/mvc:eForm/mvc:Data/CASING_CEM_EDIT/record/CEM_SGMNT_BTM_MD" xmlns="" />
								<input name="xgf_popBottomMD_xpath_xga_saveAPD_DP4_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popBottomMD" xmlns="" />
								<span id="popBottomMD_message_container"></span>
							</td>
							<td class="labelBackground" id="popCementType_label_container">
								<label class="label" for="popCementType" id="popCementType_label">Cement Type</label>
							</td>
							<td class="defaultBackground" id="popCementType_container">
								<input class="textbox" id="popCementType" name="popCementType" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popCementType}" />
								<input name="xgf_popCementType_xpath_xga_loadCement" type="hidden" value="/mvc:eForm/mvc:Data/CASING_CEM_EDIT/record/CEM_TY_NM" xmlns="" />
								<input name="xgf_popCementType_xpath_xga_saveAPD_DP4_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popCementType" xmlns="" />
								<span id="popCementType_message_container"></span>
							</td>
						</tr>
						<tr>
							<td class="labelBackground" id="popAdditives_label_container">
								<label class="label" for="popAdditives" id="popAdditives_label">Additives</label>
							</td>
							<td class="defaultBackground" id="popAdditives_container">
								<input class="textbox" id="popAdditives" name="popAdditives" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popAdditives}" />
								<input name="xgf_popAdditives_xpath_xga_loadCement" type="hidden" value="/mvc:eForm/mvc:Data/CASING_CEM_EDIT/record/CEM_ADDITIVES" xmlns="" />
								<input name="xgf_popAdditives_xpath_xga_saveAPD_DP4_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popAdditives" xmlns="" />
								<span id="popAdditives_message_container"></span>
							</td>
							<td class="labelBackground" id="popQuantitySKS_label_container">
								<label class="label" for="popQuantitySKS" id="popQuantitySKS_label">Quantity (sks)</label>
							</td>
							<td class="defaultBackground" id="popQuantitySKS_container">
								<input class="textbox" id="popQuantitySKS" name="popQuantitySKS" size="11" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popQuantitySKS}" />
								<input name="xgf_popQuantitySKS_xpath_xga_loadCement" type="hidden" value="/mvc:eForm/mvc:Data/CASING_CEM_EDIT/record/CEM_QTY" xmlns="" />
								<input name="xgf_popQuantitySKS_xpath_xga_saveAPD_DP4_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popQuantitySKS" xmlns="" />
								<span id="popQuantitySKS_message_container"></span>
							</td>
							<td class="labelBackground" id="popYield_label_container">
								<label class="label" for="popYield" id="popYield_label">Yield (cu.ft./sk)</label>
							</td>
							<td class="defaultBackground" id="popYield_container">
								<input class="textbox" id="popYield" name="popYield" size="11" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popYield}" />
								<input name="xgf_popYield_xpath_xga_loadCement" type="hidden" value="/mvc:eForm/mvc:Data/CASING_CEM_EDIT/record/CEM_YLD" xmlns="" />
								<input name="xgf_popYield_xpath_xga_saveAPD_DP4_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popYield" xmlns="" />
								<span id="popYield_message_container"></span>
							</td>
						</tr>
						<tr>
							<td class="labelBackground" id="popDensity_label_container">
								<label class="label" for="popDensity" id="popDensity_label">Density</label>
							</td>
							<td class="defaultBackground" id="popDensity_container">
								<input class="textbox" id="popDensity" name="popDensity" size="11" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popDensity}" />
								<input name="xgf_popDensity_xpath_xga_loadCement" type="hidden" value="/mvc:eForm/mvc:Data/CASING_CEM_EDIT/record/CEM_DEN" xmlns="" />
								<input name="xgf_popDensity_xpath_xga_saveAPD_DP4_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popDensity" xmlns="" />
								<span id="popDensity_message_container"></span>
							</td>
							<td class="labelBackground" id="popVolume_label_container">
								<label class="label" for="popVolume" id="popVolume_label">Volume (cu.ft.)</label>
							</td>
							<td class="defaultBackground" id="popVolume_container">
								<input class="textbox" id="popVolume" name="popVolume" size="11" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popVolume}" />
								<input name="xgf_popVolume_xpath_xga_loadCement" type="hidden" value="/mvc:eForm/mvc:Data/CASING_CEM_EDIT/record/CEM_VOL" xmlns="" />
								<input name="xgf_popVolume_xpath_xga_saveAPD_DP4_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popVolume" xmlns="" />
								<span id="popVolume_message_container"></span>
							</td>
							<td class="labelBackground" id="popDepthDV_label_container">
								<label class="label" for="popDepthDV" id="popDepthDV_label">Depth of DV tool</label>
							</td>
							<td class="defaultBackground" id="popDepthDV_container">
								<input class="textbox" id="popDepthDV" name="popDepthDV" size="11" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popDepthDV}" />
								<input name="xgf_popDepthDV_xpath_xga_loadCement" type="hidden" value="/mvc:eForm/mvc:Data/CASING_CEM_EDIT/record/DV_TOOL_DEP" xmlns="" />
								<input name="xgf_popDepthDV_xpath_xga_saveAPD_DP4_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popDepthDV" xmlns="" />
								<span id="popDepthDV_message_container"></span>
							</td>
						</tr>
					</table>
					<div class="vertical" id="hiddenKeys">
						<div class="formElement">
							<span class="labelBackground" id="popCementID_label_container">
								<label class="label" for="popCementID" id="popCementID_label">CementID</label>
							</span>
							<span class="defaultBackground" id="popCementID_container">
								<input class="textbox" id="popCementID" name="popCementID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popCementID}" />
								<input name="xgf_popCementID_xpath_xga_loadCement" type="hidden" value="/mvc:eForm/mvc:Data/CASING_CEM_EDIT/record/DRLNG_PLN_CSNG_ID" xmlns="" />
								<input name="xgf_popCementID_xpath_xga_saveAPD_DP4_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popCementID" xmlns="" />
								<span id="popCementID_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="popDPID_label_container">
								<label class="label" for="popDPID" id="popDPID_label">DP ID</label>
							</span>
							<span class="defaultBackground" id="popDPID_container">
								<input class="textbox" id="popDPID" name="popDPID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popDPID}" />
								<input name="xgf_popDPID_xpath_xga_loadCement" type="hidden" value="/mvc:eForm/mvc:Data/CASING_CEM_EDIT/record/DRLNG_PLN_ID" xmlns="" />
								<input name="xgf_popDPID_xpath_xga_saveAPD_DP4_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popDPID" xmlns="" />
								<span id="popDPID_message_container"></span>
							</span>
						</div>
					</div>
				</div>
				<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="fields_horz_left_group" summary="">
					<tr>
						<td class="defaultBackground" id="submit_dialog_button_container">
							<a class="button" href="javascript: submit_dialog_buttonhref(null);" id="submit_dialog_button" name="submit_dialog_button">
								<span>
									<span>Save</span>
								</span>
							</a>
						</td>
						<td class="defaultBackground" id="cancel_dialog_button_container">
							<a class="hyperlink" href="javascript: cancel_dialog_buttonhref(null);" id="cancel_dialog_button" name="cancel_dialog_button">
								<span>
									<span>Cancel</span>
								</span>
							</a>
						</td>
					</tr>
				</table>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>tabAction</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field = document.getElementById('</out:text>
			<out:text>popup_CementTable');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.Dialog');field.setAttribute('data-dojo-props', 'title:&quot;Edit Cement Table entry&quot;');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popTopMD</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popBottomMD</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popCementType</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popAdditives</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popQuantitySKS</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popYield</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popDensity</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popVolume</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popDepthDV</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popCementID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popDPID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_DPSect4onbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/Dialog&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/form/NumberTextBox&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
            }
            APD_DPSect4onbeforeload();
            function APD_DPSect4onload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objTargetToSet = {name: 'TargetToSet', option: 'PageField', value: 'tabAction'};
                    var objValueToAssign = {name: 'ValueToAssign', option: 'Static', value: ''};
                    hyf.FMAction.handleSetValue(objTargetToSet, objValueToAssign, objEventSource);
                    var objAction = {name: 'Action', option: 'Action', value: 'loadCement.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgCementTable'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
            }
            hyf.attachEventHandler(window, 'onload', APD_DPSect4onload);
                    
            function submit_dialog_buttonhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'submit_dialog_button', field: document.getElementById('submit_dialog_button')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkGroupValdiation({name: 'Group', option: 'PageGroup', value: 'popup_CementTable_content'}, objEventSource)) {
                    var objGroup = {name: 'Group', option: 'PageGroup', value: 'popup_CementTable'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    } else {
                    }
                    if (hyf.FMCondition.checkGroupValdiation({name: 'Group', option: 'PageGroup', value: 'popup_CementTable_content'}, objEventSource)) {
                    var objAction = {name: 'Action', option: 'Action', value: 'loadCement.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgCementTable'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    } else {
                    }
                    })();
            }
            
            function cancel_dialog_buttonhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'cancel_dialog_button', field: document.getElementById('cancel_dialog_button')};

                return dojo.hitch(objEventSource.field, function(){
                    var objContainer = {name: 'Container', option: 'PageGroup', value: 'popup_CementTable_content'};
                    var objMode = {name: 'Mode', option: 'clear', value: ''};
                    hyf.FMAction.handleContainerReset(objContainer, objMode, objEventSource);
                    var objGroup = {name: 'Group', option: 'PageGroup', value: 'popup_CementTable_content'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    var objContainer = {name: 'Container', option: 'PageGroup', value: 'layoutAction'};
                    var objMode = {name: 'Mode', option: 'clear', value: ''};
                    hyf.FMAction.handleContainerReset(objContainer, objMode, objEventSource);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
