<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">CementTable</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_CementTable" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<div _use="group" class="vertical" id="layoutCementTable">
			<div class="repeat" id="cementRepeat">
				<out:for-each select="/mvc:eForm/mvc:Data/CASING_CEM_VW/record">
					<out:variable name="cementRepeatLoopEntry" select="." />
					<out:variable name="cementRepeatLoopCount">
						<out:text>cementRepeat</out:text>
						<out:value-of select="position()" />
					</out:variable>
					<out:variable name="cementRepeat-repeat-position-number">
						<out:value-of select="position()" />
					</out:variable>
					<table border="0" cellpadding="0" cellspacing="0" class="grid" id="{$cementRepeatLoopCount}two_column_grid" style="width : 100%;border: 1px solid;" summary="">
						<tr>
							<td class="vertical" colspan="2" id="{$cementRepeatLoopCount}layoutCementRow">
								<table border="0" cellpadding="0" cellspacing="0" class="grid" id="{$cementRepeatLoopCount}cementRowGrid" summary="">
									<tr>
										<td class="labelBackground" id="{$cementRepeatLoopCount}oTopMD_label_container" style="width : 162px;">
											<label class="label" for="{$cementRepeatLoopCount}oTopMD" id="{$cementRepeatLoopCount}oTopMD_label">Top MD of Segment</label>
										</td>
										<td class="defaultBackground" id="{$cementRepeatLoopCount}oTopMD_container">
											<out:attribute name="style">
												<out:text>
												</out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text>
													</out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$cementRepeatLoopCount}oTopMD">
												<out:choose>
													<out:when test="not(CEM_SGMNT_TOP_MD) or (CEM_SGMNT_TOP_MD = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CEM_SGMNT_TOP_MD" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$cementRepeatLoopCount}oBottomMD_label_container">
											<label class="label" for="{$cementRepeatLoopCount}oBottomMD" id="{$cementRepeatLoopCount}oBottomMD_label">Bottom MD of Segment</label>
										</td>
										<td class="defaultBackground" id="{$cementRepeatLoopCount}oBottomMD_container">
											<out:attribute name="style">
												<out:text>
												</out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text>
													</out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$cementRepeatLoopCount}oBottomMD">
												<out:choose>
													<out:when test="not(CEM_SGMNT_BTM_MD) or (CEM_SGMNT_BTM_MD = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CEM_SGMNT_BTM_MD" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$cementRepeatLoopCount}oCementType_label_container">
											<label class="label" for="{$cementRepeatLoopCount}oCementType" id="{$cementRepeatLoopCount}oCementType_label">Cement Type</label>
										</td>
										<td class="defaultBackground" id="{$cementRepeatLoopCount}oCementType_container">
											<out:attribute name="style">
												<out:text>
												</out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text>
													</out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$cementRepeatLoopCount}oCementType">
												<out:choose>
													<out:when test="not(CEM_TY_NM) or (CEM_TY_NM = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CEM_TY_NM" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="{$cementRepeatLoopCount}oAdditives_label_container" style="width : 162px;">
											<label class="label" for="{$cementRepeatLoopCount}oAdditives" id="{$cementRepeatLoopCount}oAdditives_label">Additives</label>
										</td>
										<td class="defaultBackground" id="{$cementRepeatLoopCount}oAdditives_container">
											<out:attribute name="style">
												<out:text>
												</out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text>
													</out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$cementRepeatLoopCount}oAdditives" style="width : 113px;">
												<out:choose>
													<out:when test="not(CEM_ADDITIVES) or (CEM_ADDITIVES = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CEM_ADDITIVES" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$cementRepeatLoopCount}oQuantitySKS_label_container">
											<label class="label" for="{$cementRepeatLoopCount}oQuantitySKS" id="{$cementRepeatLoopCount}oQuantitySKS_label">Quantity (sks)</label>
										</td>
										<td class="defaultBackground" id="{$cementRepeatLoopCount}oQuantitySKS_container">
											<out:attribute name="style">
												<out:text>
												</out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text>
													</out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$cementRepeatLoopCount}oQuantitySKS" style="width : 116px;">
												<out:choose>
													<out:when test="not(CEM_QTY) or (CEM_QTY = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CEM_QTY" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$cementRepeatLoopCount}oYield_label_container">
											<label class="label" for="{$cementRepeatLoopCount}oYield" id="{$cementRepeatLoopCount}oYield_label">Yield (cu.ft./sk)</label>
										</td>
										<td class="defaultBackground" id="{$cementRepeatLoopCount}oYield_container">
											<out:attribute name="style">
												<out:text>
												</out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text>
													</out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$cementRepeatLoopCount}oYield">
												<out:choose>
													<out:when test="not(CEM_YLD) or (CEM_YLD = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CEM_YLD" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="{$cementRepeatLoopCount}oDensity_label_container" style="width : 162px;">
											<label class="label" for="{$cementRepeatLoopCount}oDensity" id="{$cementRepeatLoopCount}oDensity_label">Density</label>
										</td>
										<td class="defaultBackground" id="{$cementRepeatLoopCount}oDensity_container">
											<out:attribute name="style">
												<out:text>
												</out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text>
													</out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$cementRepeatLoopCount}oDensity">
												<out:choose>
													<out:when test="not(CEM_DEN) or (CEM_DEN = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CEM_DEN" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$cementRepeatLoopCount}oVolume_label_container">
											<label class="label" for="{$cementRepeatLoopCount}oVolume" id="{$cementRepeatLoopCount}oVolume_label">Volume (cu.ft.)</label>
										</td>
										<td class="defaultBackground" id="{$cementRepeatLoopCount}oVolume_container">
											<out:attribute name="style">
												<out:text>
												</out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text>
													</out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$cementRepeatLoopCount}oVolume">
												<out:choose>
													<out:when test="not(CEM_VOL) or (CEM_VOL = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="CEM_VOL" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$cementRepeatLoopCount}oDepthDV_label_container">
											<label class="label" for="{$cementRepeatLoopCount}oDepthDV" id="{$cementRepeatLoopCount}oDepthDV_label">Depth of DV tool</label>
										</td>
										<td class="defaultBackground" id="{$cementRepeatLoopCount}oDepthDV_container">
											<out:attribute name="style">
												<out:text>
												</out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>firstRow defaultBackground</out:text>
											</out:attribute>
											<out:if test="(ceiling(position() div 1) mod 2) = 0">
												<out:attribute name="style">
													<out:text>
													</out:text>
												</out:attribute>
												<out:attribute name="class">
													<out:text>alternateRow defaultBackground</out:text>
												</out:attribute>
											</out:if>
											<span class="output" id="{$cementRepeatLoopCount}oDepthDV">
												<out:choose>
													<out:when test="not(DV_TOOL_DEP) or (DV_TOOL_DEP = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="DV_TOOL_DEP" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
									</tr>
								</table>
							</td>
							<td class="vertical" colspan="2" id="{$cementRepeatLoopCount}two_column_2" style="width : 50px; vertical-align : middle;border-left: 1px solid; background-color : #f0f0f0;">
								<div class="formElement">
									<span class="labelBackground" id="{$cementRepeatLoopCount}image_label_container">
										<label class="label" for="{$cementRepeatLoopCount}image" id="{$cementRepeatLoopCount}image_label">Edit</label>
									</span>
									<span class="defaultBackground" id="{$cementRepeatLoopCount}image_container">
										<out:attribute name="style">
											<out:text>
											</out:text>
										</out:attribute>
										<out:attribute name="class">
											<out:text>firstRow defaultBackground</out:text>
										</out:attribute>
										<out:if test="(ceiling(position() div 1) mod 2) = 0">
											<out:attribute name="style">
												<out:text>
												</out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>alternateRow defaultBackground</out:text>
											</out:attribute>
										</out:if>
										<img alt="Edit" class="image" id="{$cementRepeatLoopCount}image" name="{$cementRepeatLoopCount}image" onclick="return imageonclick((typeof(event) != 'undefined') ? event : arguments[0], '{$cementRepeatLoopCount}');" src="images/Edit.gif" />
									</span>
								</div>
							</td>
						</tr>
					</table>
					<div class="hidden vertical" id="{$cementRepeatLoopCount}IDsLayout">
						<div class="formElement">
							<span class="labelBackground" id="{$cementRepeatLoopCount}oDPID_label_container">
								<label class="label" for="{$cementRepeatLoopCount}oDPID" id="{$cementRepeatLoopCount}oDPID_label">DP ID</label>
							</span>
							<span class="defaultBackground" id="{$cementRepeatLoopCount}oDPID_container">
								<out:attribute name="style">
									<out:text>
									</out:text>
								</out:attribute>
								<out:attribute name="class">
									<out:text>firstRow defaultBackground</out:text>
								</out:attribute>
								<out:if test="(ceiling(position() div 1) mod 2) = 0">
									<out:attribute name="style">
										<out:text>
										</out:text>
									</out:attribute>
									<out:attribute name="class">
										<out:text>alternateRow defaultBackground</out:text>
									</out:attribute>
								</out:if>
								<input class="textbox" id="{$cementRepeatLoopCount}oDPID" name="{$cementRepeatLoopCount}oDPID" type="text" value="{DRLNG_PLN_ID}" />
								<input name="{$cementRepeatLoopCount}oDPID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:cementRepeat[{$cementRepeat-repeat-position-number}]/mvc:oDPID" xmlns="" />
								<span id="{$cementRepeatLoopCount}oDPID_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="{$cementRepeatLoopCount}oCasingID_label_container">
								<label class="label" for="{$cementRepeatLoopCount}oCasingID" id="{$cementRepeatLoopCount}oCasingID_label">Casing ID</label>
							</span>
							<span class="defaultBackground" id="{$cementRepeatLoopCount}oCasingID_container">
								<out:attribute name="style">
									<out:text>
									</out:text>
								</out:attribute>
								<out:attribute name="class">
									<out:text>firstRow defaultBackground</out:text>
								</out:attribute>
								<out:if test="(ceiling(position() div 1) mod 2) = 0">
									<out:attribute name="style">
										<out:text>
										</out:text>
									</out:attribute>
									<out:attribute name="class">
										<out:text>alternateRow defaultBackground</out:text>
									</out:attribute>
								</out:if>
								<input class="textbox" id="{$cementRepeatLoopCount}oCasingID" name="{$cementRepeatLoopCount}oCasingID" type="text" value="{DRLNG_PLN_CSNG_ID}" />
								<input name="{$cementRepeatLoopCount}oCasingID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:cementRepeat[{$cementRepeat-repeat-position-number}]/mvc:oCasingID" xmlns="" />
								<span id="{$cementRepeatLoopCount}oCasingID_message_container"></span>
							</span>
						</div>
					</div>
				</out:for-each>
				<input name="hyfrepeat-CementTable-1-location" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:cementRepeat" xmlns="" />
				<input name="hyfrepeat-CementTable-1-count" type="hidden" value="{count(/mvc:eForm/mvc:Data/CASING_CEM_VW/record)}" xmlns="" />
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:for-each select="/mvc:eForm/mvc:Data/CASING_CEM_VW/record">
				<out:variable name="cementRepeatLoopEntry" select="." />
				<out:variable name="cementRepeatLoopCount">
					<out:text>cementRepeat</out:text>
					<out:value-of select="position()" />
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$cementRepeatLoopCount" />
				<out:text>oTopMD</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$cementRepeatLoopCount" />
				<out:text>oBottomMD</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$cementRepeatLoopCount" />
				<out:text>oCementType</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$cementRepeatLoopCount" />
				<out:text>oAdditives</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$cementRepeatLoopCount" />
				<out:text>oQuantitySKS</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$cementRepeatLoopCount" />
				<out:text>oYield</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$cementRepeatLoopCount" />
				<out:text>oDensity</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$cementRepeatLoopCount" />
				<out:text>oVolume</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$cementRepeatLoopCount" />
				<out:text>oDepthDV</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$cementRepeatLoopCount" />
				<out:text>oDPID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$cementRepeatLoopCount" />
				<out:text>oCasingID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function imageonclick(e, repeatId)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'image', repeatId: repeatId, field: document.getElementById(repeatId + 'image')};

                return dojo.hitch(objEventSource.field, function(){
                    updateCement(objEventSource.repeatId);
                    var objGroup = {name: 'Group', option: 'Static', value: 'popup_CementTable'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
