<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">APD_DPSect5</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_APD_DPSect5" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory" >		<xform:instance id="saveAPD_DP5" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory" xmlns:xg="http://www.hyfinity.com/xgate">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<DRILLING_PLAN_SEC5_VW xmlns="">
						<record>
							<APP_ID />
							<APD_ID />
							<DRLNG_PLN_ID />
							<WELL_CNTL_MIT_MECH />
							<MUD_MNTR_SYS_USED />
							<USE_OF_AIR_OR_GAS_SYS />
							<AIR_OR_GAS_EQPMNT_DESC />
							<AIR_GAS_EQPMNT_DIAG_FILE_PTH />
							<MUD_SYS_TY />
						</record>
					</DRILLING_PLAN_SEC5_VW>
					<formData />
				</Data>
			</eForm>
		</xform:instance>
		<xform:instance id="loadMud" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<MUD_SYS_TY />
						<WELL_CNTL_MIT_MECH />
						<MUD_MNTR_SYS_USED />
						<USE_OF_AIR_OR_GAS_SYS />
						<AIR_OR_GAS_EQPMNT_DESC />
						<AIR_GAS_EQPMNT_DIAG_FILE_PTH />
						<APD_ID />
						<DRLNG_PLN_ID />
						<APP_ID />
						<tabAction />
						<popTopDepth />
						<popBottomDepth />
						<popMudType />
						<popMinWeight />
						<popMaxWeight />
						<popCharacteristics />
						<popCircMedID />
						<repeatFormations>
							<oLithOther />
							<oProdFormation />
							<oDPID />
							<oDPFormID />
							<oFormID />
							<oLithID />
							<oMinID />
						</repeatFormations>
						<delDPFormID />
						<delDPID />
						<delAction />
						<repeat_MudTable>
							<CIRC_MED_ID />
						</repeat_MudTable>
						<delMudID />
					</formData>
					<DP_CIRCULATING_MEDIUM_EDIT xmlns="">
						<record>
							<APP_ID />
							<CIRC_MED_ID />
							<TOP_DEP />
							<BTM_DEP />
							<MUD_TY />
							<MIN_WGT />
							<MAX_WGT />
							<MUD_CHAR />
						</record>
					</DP_CIRCULATING_MEDIUM_EDIT>
				</Data>
			</eForm>
		</xform:instance>
		<div _use="group" class="vertical" id="DPSect5">
			<fieldset class="fieldsetGroup vertical" id="grpSection5">
				<legend class="fieldsetGroupLabelBackground" id="grpSection5_label_container">
					<span class="label" id="grpSection5_label">Section 5 - Circulating Medium</span>
				</legend>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid_3" summary="">
					<tr>
						<td class="labelBackground" id="MUD_SYS_TY_label_container" style="vertical-align : middle; width : 300px;">
							<label class="label" for="MUD_SYS_TY1" id="MUD_SYS_TY_label">Mud System type</label>
						</td>
						<td class="defaultBackground" id="MUD_SYS_TY_container">
							<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="MUD_SYS_TY1" name="MUD_SYS_TY" type="radio" value="O">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/MUD_SYS_TY = 'O'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption">
										<label for="MUD_SYS_TY1">Open</label>
									</td>
								</tr>
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="MUD_SYS_TY2" name="MUD_SYS_TY" type="radio" value="C">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/MUD_SYS_TY = 'C'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption">
										<label for="MUD_SYS_TY2">Closed</label>
									</td>
								</tr>
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="MUD_SYS_TY3" name="MUD_SYS_TY" type="radio" value="S">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/MUD_SYS_TY = 'S'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_MUD_SYS_TY_xpath_xga_saveAPD_DP5" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/MUD_SYS_TY" xmlns="" />
										<input name="xgf_MUD_SYS_TY_xpath_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:MUD_SYS_TY" xmlns="" />
									</td>
									<td class="selectBooleanCaption">
										<label for="MUD_SYS_TY3">Semi-Closed</label>
									</td>
								</tr>
							</table>
							<input id="MUD_SYS_TY_value_if_not_submitted" name="MUD_SYS_TY_value_if_not_submitted" type="hidden" value="" />
							<span id="MUD_SYS_TY_message_container"></span>
						</td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td class="labelBackground" id="WELL_CNTL_MIT_MECH_label_container" style="width : 300px;">
							<label class="label" for="WELL_CNTL_MIT_MECH" id="WELL_CNTL_MIT_MECH_label">Describe what will be on location to control well or mitigate other conditions</label>
						</td>
						<td class="defaultBackground" id="WELL_CNTL_MIT_MECH_container">
							<textarea class="textbox" cols="40" id="WELL_CNTL_MIT_MECH" name="WELL_CNTL_MIT_MECH" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="">
								<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/WELL_CNTL_MIT_MECH" />
							</textarea>
							<input name="xgf_WELL_CNTL_MIT_MECH_xpath_xga_saveAPD_DP5" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/WELL_CNTL_MIT_MECH" xmlns="" />
							<input name="xgf_WELL_CNTL_MIT_MECH_xpath_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:WELL_CNTL_MIT_MECH" xmlns="" />
							<span id="WELL_CNTL_MIT_MECH_message_container"></span>
						</td>
						<td class="labelBackground" id="MUD_MNTR_SYS_USED_label_container" style="width : 362px;">
							<label class="label" for="MUD_MNTR_SYS_USED" id="MUD_MNTR_SYS_USED_label">Describe the mud monitoring system utilized</label>
						</td>
						<td class="defaultBackground" id="MUD_MNTR_SYS_USED_container">
							<textarea class="textbox" cols="40" id="MUD_MNTR_SYS_USED" name="MUD_MNTR_SYS_USED" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="">
								<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/MUD_MNTR_SYS_USED" />
							</textarea>
							<input name="xgf_MUD_MNTR_SYS_USED_xpath_xga_saveAPD_DP5" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/MUD_MNTR_SYS_USED" xmlns="" />
							<input name="xgf_MUD_MNTR_SYS_USED_xpath_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:MUD_MNTR_SYS_USED" xmlns="" />
							<span id="MUD_MNTR_SYS_USED_message_container"></span>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="USE_OF_AIR_OR_GAS_SYS_label_container" style="width : 300px;">
							<label class="label" for="USE_OF_AIR_OR_GAS_SYS1" id="USE_OF_AIR_OR_GAS_SYS_label">Will an air or gas system be used?</label>
						</td>
						<td class="defaultBackground" id="USE_OF_AIR_OR_GAS_SYS_container">
							<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="USE_OF_AIR_OR_GAS_SYS1" name="USE_OF_AIR_OR_GAS_SYS" type="radio" value="Y">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/USE_OF_AIR_OR_GAS_SYS = 'Y'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption">
										<label for="USE_OF_AIR_OR_GAS_SYS1">Yes</label>
									</td>
									<td class="selectBoolean">
										<input class="radio" id="USE_OF_AIR_OR_GAS_SYS2" name="USE_OF_AIR_OR_GAS_SYS" type="radio" value="N">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/USE_OF_AIR_OR_GAS_SYS = 'N'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_USE_OF_AIR_OR_GAS_SYS_xpath_xga_saveAPD_DP5" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/USE_OF_AIR_OR_GAS_SYS" xmlns="" />
										<input name="xgf_USE_OF_AIR_OR_GAS_SYS_xpath_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:USE_OF_AIR_OR_GAS_SYS" xmlns="" />
									</td>
									<td class="selectBooleanCaption">
										<label for="USE_OF_AIR_OR_GAS_SYS2">No</label>
									</td>
								</tr>
							</table>
							<input id="USE_OF_AIR_OR_GAS_SYS_value_if_not_submitted" name="USE_OF_AIR_OR_GAS_SYS_value_if_not_submitted" type="hidden" value="" />
							<span id="USE_OF_AIR_OR_GAS_SYS_message_container"></span>
						</td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td colspan="4">
							<table border="0" cellpadding="0" cellspacing="0" class="grid" id="grpGas" style="width : 1284px;" summary="">
								<tr>
									<td class="labelBackground" id="AIR_OR_GAS_EQPMNT_DESC_label_container" style="width : 300px;">
										<label class="label" for="AIR_OR_GAS_EQPMNT_DESC" id="AIR_OR_GAS_EQPMNT_DESC_label">Description of the equipment for the circulating system in accordance with Onshore Order #2.</label>
									</td>
									<td class="defaultBackground" id="AIR_OR_GAS_EQPMNT_DESC_container">
										<textarea class="textbox" cols="40" id="AIR_OR_GAS_EQPMNT_DESC" name="AIR_OR_GAS_EQPMNT_DESC" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="">
											<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/AIR_OR_GAS_EQPMNT_DESC" />
										</textarea>
										<input name="xgf_AIR_OR_GAS_EQPMNT_DESC_xpath_xga_saveAPD_DP5" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/AIR_OR_GAS_EQPMNT_DESC" xmlns="" />
										<input name="xgf_AIR_OR_GAS_EQPMNT_DESC_xpath_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:AIR_OR_GAS_EQPMNT_DESC" xmlns="" />
										<span id="AIR_OR_GAS_EQPMNT_DESC_message_container"></span>
									</td>
									<td class="horizontal" colspan="2" id="layout_group_2" style="vertical-align : middle;">
										<span class="formElement">
											<span class="labelBackground" id="AIR_GAS_EQPMNT_DIAG_FILE_PTH_label_container" style="width : 295px;">
												<label class="label" for="AIR_GAS_EQPMNT_DIAG_FILE_PTH" id="AIR_GAS_EQPMNT_DIAG_FILE_PTH_label">Diagram of the equipment for the circulating system in accordance with Onshore Order #2.</label>
											</span>
											<span class="defaultBackground" id="AIR_GAS_EQPMNT_DIAG_FILE_PTH_container">
												<input class="textbox" id="AIR_GAS_EQPMNT_DIAG_FILE_PTH" maxLength="80" name="AIR_GAS_EQPMNT_DIAG_FILE_PTH" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/AIR_GAS_EQPMNT_DIAG_FILE_PTH}" />
												<input name="xgf_AIR_GAS_EQPMNT_DIAG_FILE_PTH_xpath_xga_saveAPD_DP5" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/AIR_GAS_EQPMNT_DIAG_FILE_PTH" xmlns="" />
												<input name="xgf_AIR_GAS_EQPMNT_DIAG_FILE_PTH_xpath_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:AIR_GAS_EQPMNT_DIAG_FILE_PTH" xmlns="" />
												<span id="AIR_GAS_EQPMNT_DIAG_FILE_PTH_message_container"></span>
											</span>
										</span>
										<span class="formElement">
											<span class="defaultBackground" id="button_container">
												<input class="button" id="button" name="button" type="button" value="Browse..." />
											</span>
										</span>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				<div class="hidden vertical" id="hiddenVals">
					<div class="formElement">
						<span class="labelBackground" id="APD_ID_label_container">
							<label class="label" for="APD_ID" id="APD_ID_label">APD ID<span class="mandatory" id="APD_ID_marker" style="" title="Mandatory field marker"> * </span>
							</label>
						</span>
						<span class="defaultBackground" id="APD_ID_container">
							<input class="textbox" id="APD_ID" maxLength="11" name="APD_ID" size="11" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/APD_ID}" />
							<input name="xgf_APD_ID_xpath_xga_saveAPD_DP5" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/APD_ID" xmlns="" />
							<input name="xgf_APD_ID_xpath_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:APD_ID" xmlns="" />
							<span id="APD_ID_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="DRLNG_PLN_ID_label_container">
							<label class="label" for="DRLNG_PLN_ID" id="DRLNG_PLN_ID_label">DRLNG PLN ID</label>
						</span>
						<span class="defaultBackground" id="DRLNG_PLN_ID_container">
							<input class="textbox" id="DRLNG_PLN_ID" maxLength="0" name="DRLNG_PLN_ID" size="0" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/DRLNG_PLN_ID}" />
							<input name="xgf_DRLNG_PLN_ID_xpath_xga_saveAPD_DP5" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/DRLNG_PLN_ID" xmlns="" />
							<input name="xgf_DRLNG_PLN_ID_xpath_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:DRLNG_PLN_ID" xmlns="" />
							<span id="DRLNG_PLN_ID_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="APP_ID_label_container">
							<label class="label" for="APP_ID" id="APP_ID_label">APP ID<span class="mandatory" id="APP_ID_marker" style="" title="Mandatory field marker"> * </span>
							</label>
						</span>
						<span class="defaultBackground" id="APP_ID_container">
							<input class="textbox" id="APP_ID" maxLength="0" name="APP_ID" size="0" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/APP_ID}" />
							<input name="xgf_APP_ID_xpath_xga_saveAPD_DP5" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC5_VW/record/APP_ID" xmlns="" />
							<input name="xgf_APP_ID_xpath_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:APP_ID" xmlns="" />
							<span id="APP_ID_message_container"></span>
						</span>
					</div>
				</div>
				<fieldset class="fieldsetInnerGroup vertical" id="group_info_2">
					<legend class="fieldsetGroupLabelBackground" id="group_info_2_label_container">
						<span class="label" id="group_info_2_label">Circulating Medium Table</span>
					</legend>
					<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid" summary="">
						<tr>
							<td class="partialPageContainer vertical" colspan="8" id="ppgMudTable" />
						</tr>
						<tr>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
							<td class="labelBackground" id="btnAdd_label_container" />
							<td class="defaultBackground" id="btnAdd_container">
								<input class="button" id="btnAdd" name="btnAdd" onclick="return btnAddonclick((typeof(event) != 'undefined') ? event : arguments[0]);" type="button" value="Add..." />
							</td>
						</tr>
						<tr>
							<td class="hidden vertical" colspan="2" id="layoutAction">
								<div class="formElement">
									<span class="labelBackground" id="tabAction_label_container">
										<label class="label" for="tabAction" id="tabAction_label">Action</label>
									</span>
									<span class="defaultBackground" id="tabAction_container">
										<input class="textbox" id="tabAction" name="tabAction" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:tabAction}" />
										<input name="xgf_tabAction_xpath_xga_loadMud_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:tabAction" xmlns="" />
										<span id="tabAction_message_container"></span>
									</span>
								</div>
							</td>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
						</tr>
					</table>
				</fieldset>
			</fieldset>
			<div class="main_body vertical" id="popup_MudTable">
				<div class="form vertical" id="popup_Mudtable_content">
					<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid_2" summary="">
						<tr>
							<td class="labelBackground" id="popTopDepth_label_container">
								<label class="label" for="popTopDepth" id="popTopDepth_label">Top depth</label>
							</td>
							<td class="defaultBackground" id="popTopDepth_container">
								<input class="textbox" id="popTopDepth" name="popTopDepth" size="8" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popTopDepth}" />
								<input name="xgf_popTopDepth_xpath_xga_loadMud" type="hidden" value="/mvc:eForm/mvc:Data/DP_CIRCULATING_MEDIUM_EDIT/record/TOP_DEP" xmlns="" />
								<input name="xgf_popTopDepth_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:number_textbox" xmlns="" />
								<input name="xgf_popTopDepth_xpath_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popTopDepth" xmlns="" />
								<span id="popTopDepth_message_container"></span>
							</td>
							<td class="labelBackground" id="popBottomDepth_label_container" style="width : 172px;">
								<label class="label" for="popBottomDepth" id="popBottomDepth_label">Bottom depth</label>
							</td>
							<td class="defaultBackground" id="popBottomDepth_container">
								<input class="textbox" id="popBottomDepth" name="popBottomDepth" size="8" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popBottomDepth}" />
								<input name="xgf_popBottomDepth_xpath_xga_loadMud" type="hidden" value="/mvc:eForm/mvc:Data/DP_CIRCULATING_MEDIUM_EDIT/record/BTM_DEP" xmlns="" />
								<input name="xgf_popBottomDepth_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:number_textbox_2" xmlns="" />
								<input name="xgf_popBottomDepth_xpath_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popBottomDepth" xmlns="" />
								<span id="popBottomDepth_message_container"></span>
							</td>
							<td class="labelBackground" id="popMudType_label_container" style="width : 126px;">
								<label class="label" for="popMudType" id="popMudType_label">Mud Type</label>
							</td>
							<td class="defaultBackground" id="popMudType_container">
								<input class="textbox" id="popMudType" name="popMudType" size="50" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popMudType}" />
								<input name="xgf_popMudType_xpath_xga_loadMud" type="hidden" value="/mvc:eForm/mvc:Data/DP_CIRCULATING_MEDIUM_EDIT/record/MUD_TY" xmlns="" />
								<input name="xgf_popMudType_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:edit" xmlns="" />
								<input name="xgf_popMudType_xpath_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popMudType" xmlns="" />
								<span id="popMudType_message_container"></span>
							</td>
						</tr>
						<tr>
							<td class="labelBackground" id="popMinWeight_label_container">
								<label class="label" for="popMinWeight" id="popMinWeight_label">Min Weight (lbs./gal.)</label>
							</td>
							<td class="defaultBackground" id="popMinWeight_container">
								<input class="textbox" id="popMinWeight" name="popMinWeight" size="11" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popMinWeight}" />
								<input name="xgf_popMinWeight_xpath_xga_loadMud" type="hidden" value="/mvc:eForm/mvc:Data/DP_CIRCULATING_MEDIUM_EDIT/record/MIN_WGT" xmlns="" />
								<input name="xgf_popMinWeight_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:number_textbox_3" xmlns="" />
								<input name="xgf_popMinWeight_xpath_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popMinWeight" xmlns="" />
								<span id="popMinWeight_message_container"></span>
							</td>
							<td class="labelBackground" id="popMaxWeight_label_container" style="width : 172px;">
								<label class="label" for="popMaxWeight" id="popMaxWeight_label">Max Weight (lbs./gal.)</label>
							</td>
							<td class="defaultBackground" id="popMaxWeight_container">
								<input class="textbox" id="popMaxWeight" name="popMaxWeight" size="11" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popMaxWeight}" />
								<input name="xgf_popMaxWeight_xpath_xga_loadMud" type="hidden" value="/mvc:eForm/mvc:Data/DP_CIRCULATING_MEDIUM_EDIT/record/MAX_WGT" xmlns="" />
								<input name="xgf_popMaxWeight_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:number_textbox_4" xmlns="" />
								<input name="xgf_popMaxWeight_xpath_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popMaxWeight" xmlns="" />
								<span id="popMaxWeight_message_container"></span>
							</td>
							<td class="labelBackground" id="popCharacteristics_label_container" style="width : 126px;">
								<label class="label" for="popCharacteristics" id="popCharacteristics_label">Characteristics</label>
							</td>
							<td class="defaultBackground" id="popCharacteristics_container">
								<textarea class="textbox" cols="50" id="popCharacteristics" name="popCharacteristics" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="2">
									<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:popCharacteristics" />
								</textarea>
								<input name="xgf_popCharacteristics_xpath_xga_loadMud" type="hidden" value="/mvc:eForm/mvc:Data/DP_CIRCULATING_MEDIUM_EDIT/record/MUD_CHAR" xmlns="" />
								<input name="xgf_popCharacteristics_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="mvc:textarea" xmlns="" />
								<input name="xgf_popCharacteristics_xpath_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:popCharacteristics" xmlns="" />
								<span id="popCharacteristics_message_container"></span>
							</td>
						</tr>
						<tr>
							<td class="vertical" colspan="2" id="layout_group">
								<div class="formElement">
									<span class="labelBackground" id="popCircMedID_label_container">
										<label class="label" for="popCircMedID" id="popCircMedID_label">CIRC MED ID</label>
									</span>
									<span class="defaultBackground" id="popCircMedID_container">
										<input class="textbox" id="popCircMedID" name="popCircMedID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:popCircMedID}" />
										<input name="xgf_popCircMedID_xpath_xga_loadMud" type="hidden" value="/mvc:eForm/mvc:Data/DP_CIRCULATING_MEDIUM_EDIT/record/CIRC_MED_ID" xmlns="" />
										<span id="popCircMedID_message_container"></span>
									</span>
								</div>
							</td>
							<td colspan="2"> </td>
							<td colspan="2"> </td>
						</tr>
					</table>
				</div>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid_4" summary="">
					<tr>
						<td class="labelBackground" id="submit_dialog_button_label_container" />
						<td class="defaultBackground" id="submit_dialog_button_container">
							<a class="button" href="javascript: submit_dialog_buttonhref(null);" id="submit_dialog_button" name="submit_dialog_button">
								<span>
									<span>Save</span>
								</span>
							</a>
						</td>
						<td class="labelBackground" id="cancel_dialog_button_label_container" />
						<td class="defaultBackground" id="cancel_dialog_button_container">
							<a class="button" href="javascript: cancel_dialog_buttonhref(null);" id="cancel_dialog_button" name="cancel_dialog_button">
								<span>
									<span>Cancel</span>
								</span>
							</a>
						</td>
					</tr>
					<tr>
						<td colspan="2"> </td>
						<td colspan="2"> </td>
					</tr>
				</table>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xfact="http://www.hyfinity.com/xfactory">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>MUD_SYS_TY1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','15');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>MUD_SYS_TY2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','15');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>MUD_SYS_TY3</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','15');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>WELL_CNTL_MIT_MECH</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>MUD_MNTR_SYS_USED</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>USE_OF_AIR_OR_GAS_SYS1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','3');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>USE_OF_AIR_OR_GAS_SYS2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','3');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpGas', condition: { type: '==', values: [{ type: 'field', name: 'USE_OF_AIR_OR_GAS_SYS'}, 'Y'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>AIR_OR_GAS_EQPMNT_DESC</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>AIR_GAS_EQPMNT_DIAG_FILE_PTH</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','80');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>button</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>APD_ID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','11');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>DRLNG_PLN_ID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>APP_ID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>btnAdd</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>tabAction</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field = document.getElementById('</out:text>
			<out:text>popup_MudTable');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.Dialog');field.setAttribute('data-dojo-props', 'title:&quot;Edit Mud Table entry&quot;');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popTopDepth</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:9em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popBottomDepth</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:9em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popMudType</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popMinWeight</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popMaxWeight</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','9999999');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('data-dojo-type', 'dijit.form.NumberTextBox');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0,max:9999999,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:12em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popCharacteristics</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>popCircMedID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_DPSect5onbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/Dialog&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/form/NumberTextBox&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
            }
            APD_DPSect5onbeforeload();
            function APD_DPSect5onload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objAction = {name: 'Action', option: 'Action', value: 'loadMud.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgMudTable'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
            }
            hyf.attachEventHandler(window, 'onload', APD_DPSect5onload);
                    
            function btnAddonclick(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'btnAdd', field: document.getElementById('btnAdd')};

                return dojo.hitch(objEventSource.field, function(){
                    var objTargetToSet = {name: 'TargetToSet', option: 'PageField', value: 'tabAction'};
                    var objValueToAssign = {name: 'ValueToAssign', option: 'Static', value: 'Update'};
                    hyf.FMAction.handleSetValue(objTargetToSet, objValueToAssign, objEventSource);
                    var objGroup = {name: 'Group', option: 'PageGroup', value: 'popup_MudTable'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    })();
            }
            
            function submit_dialog_buttonhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'submit_dialog_button', field: document.getElementById('submit_dialog_button')};

                return dojo.hitch(objEventSource.field, function(){
                    if (hyf.FMCondition.checkGroupValdiation({name: 'Group', option: 'PageGroup', value: 'popup_Mudtable_content'}, objEventSource)) {
                    var objGroup = {name: 'Group', option: 'PageGroup', value: 'popup_MudTable'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    } else {
                    }
                    if (hyf.FMCondition.checkGroupValdiation({name: 'Group', option: 'PageGroup', value: 'popup_Mudtable_content'}, objEventSource)) {
                    var objAction = {name: 'Action', option: 'Action', value: 'loadMud.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgMudTable'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    } else {
                    }
                    })();
            }
            
            function cancel_dialog_buttonhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'cancel_dialog_button', field: document.getElementById('cancel_dialog_button')};

                return dojo.hitch(objEventSource.field, function(){
                    var objGroup = {name: 'Group', option: 'PageGroup', value: 'popup_MudTable'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
