<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">APD_DPSect7</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_APD_DPSect7" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="saveAPD_DP7" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<numBHP />
					</formData>
					<DRILLING_PLAN_SEC7_VW xmlns="">
						<record>
							<APP_ID />
							<APD_ID />
							<WELL_ID />
							<WELL_CLS_ID />
							<NR_OF_MULTILAT_LEGS />
							<DRLNG_PLN_ID />
							<MSTR_PLN_ID />
							<BLWT_PRVNTR_PRESS_RTNG />
							<BLWT_PRVNTR_EQUIP />
							<BLWT_PRVNTR_TSTNG_PROC />
							<REQNG_PRVNTR_VRNC />
							<BLWT_PRVNTR_VRNC_REQ />
							<BLWT_PRVNTR_DIAG_FILE_PTH />
							<ANT_BTM_HOLE_PRESS />
							<ANT_SURF_PRESS_CALC />
							<WELL_CNTL_MIT_MECH />
							<MUD_MNTR_SYS_USED />
							<USE_OF_AIR_OR_GAS_SYS />
							<AIR_OR_GAS_EQPMNT_DESC />
							<AIR_GAS_EQPMNT_DIAG_FILE_PTH />
							<MUD_SYS_TY />
							<PROD_TST_LIST />
							<OPN_CSE_HOLE_WELL_LOG_LIST />
							<CRNG_OPS_DESC />
							<ANT_ABNML_PRS_TMP_GEO_HAZ />
							<ANT_ABNML_PRS_TMP_GEO_HAZ_DESC />
							<GEO_HAZ_CONT_PLAN_DESC />
							<HYDRGN_SUL_OP_PLAN_REQ />
							<HYDRGN_SUL_OP_PLAN_FILE_PTH />
							<PRPSE_HOZ_DIR_MLTLAT_PLN_SBMSN />
							<OTH_OP_FACET_DESC />
							<OTH_OP_FACET_DESC_FILE_PTH />
							<CONT_PLN_ID />
							<CONT_PLAN_FILE_PTH />
						</record>
					</DRILLING_PLAN_SEC7_VW>
				</Data>
			</eForm>
		</xform:instance>
		<div _use="group" class="vertical" id="DPSect7">
			<fieldset class="fieldsetGroup vertical" id="grpSection7">
				<legend class="fieldsetGroupLabelBackground" id="grpSection7_label_container">
					<span class="label" id="grpSection7_label">Section 7 - Pressure</span>
				</legend>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid" summary="">
					<tr>
						<td class="labelBackground" id="numBHP_label_container">
							<label class="label" for="numBHP" id="numBHP_label">Anticipated Bottom Hole Pressure</label>
						</td>
						<td class="defaultBackground" id="numBHP_container">
							<input class="textbox" id="numBHP" name="numBHP" onchange="return numBHPonchange((typeof(event) != 'undefined') ? event : arguments[0]);" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_BTM_HOLE_PRESS}" />
							<input name="xgf_numBHP_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_BTM_HOLE_PRESS" xmlns="" />
							<input name="xgf_numBHP_xpath_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:numBHP" xmlns="" />
							<span id="numBHP_message_container"></span>
						</td>
						<td colspan="2"> </td>
						<td class="labelBackground" id="oASP_label_container" style="width : 222px;">
							<label class="label" for="oASP" id="oASP_label">Anticipated Surface Pressure</label>
						</td>
						<td class="defaultBackground" id="oASP_container">
							<span class="output" id="oASP">
								<out:choose>
									<out:when test="not(/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_SURF_PRESS_CALC) or (/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_SURF_PRESS_CALC = '')">
										<out:text disable-output-escaping="yes">&amp;#160;</out:text>
									</out:when>
									<out:otherwise>
										<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_SURF_PRESS_CALC" />
									</out:otherwise>
								</out:choose>
							</span>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="rbAbnormalPressure_label_container" style="width : 430px; vertical-align : middle;">
							<label class="label" for="rbAbnormalPressure1" id="rbAbnormalPressure_label">Anticipated abnormal pressures, temperatures, or potential geologic hazards?</label>
						</td>
						<td class="defaultBackground" id="rbAbnormalPressure_container">
							<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbAbnormalPressure1" name="rbAbnormalPressure" type="radio" value="YES">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_ABNML_PRS_TMP_GEO_HAZ = 'YES'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption">
										<label for="rbAbnormalPressure1">Yes</label>
									</td>
									<td class="selectBoolean">
										<input class="radio" id="rbAbnormalPressure2" name="rbAbnormalPressure" type="radio" value="NO">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_ABNML_PRS_TMP_GEO_HAZ = 'NO'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_rbAbnormalPressure_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_ABNML_PRS_TMP_GEO_HAZ" xmlns="" />
										<input name="xgf_rbAbnormalPressure_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbAbnormalPressure" xmlns="" />
									</td>
									<td class="selectBooleanCaption">
										<label for="rbAbnormalPressure2">No</label>
									</td>
								</tr>
							</table>
							<input id="rbAbnormalPressure_value_if_not_submitted" name="rbAbnormalPressure_value_if_not_submitted" type="hidden" value="" />
							<span id="rbAbnormalPressure_message_container"></span>
						</td>
						<td class="vertical" colspan="4" id="layout_group_2">
							<div class="formElement">
								<span class="labelBackground" id="txtAbnormal_label_container" style="width : 98px;">
									<label class="label" for="txtAbnormal" id="txtAbnormal_label">Describe</label>
								</span>
								<span class="defaultBackground" id="txtAbnormal_container">
									<textarea class="textbox" cols="40" id="txtAbnormal" name="txtAbnormal" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="" style="width : 415px;">
										<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_ABNML_PRS_TMP_GEO_HAZ_DESC" />
									</textarea>
									<input name="xgf_txtAbnormal_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_ABNML_PRS_TMP_GEO_HAZ_DESC" xmlns="" />
									<input name="xgf_txtAbnormal_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtAbnormal" xmlns="" />
									<span class="hintIcon" id="txtAbnormal_message_container" onmousemove="hyf.util.showTipMessage(arguments[0]);" onmouseout="hyf.util.hideTipMessage(arguments[0]);">
&#160;&#160;&#160;&#160;&#160;&#160;									</span>
								</span>
							</div>
						</td>
					</tr>
					<tr>
						<td colspan="6">
							<fieldset class="fieldsetInnerGroup vertical" id="group_info">
								<div class="formElement">
									<span class="labelBackground" id="txtGeoContingency_label_container" style="width : 428px; vertical-align : middle;">
										<label class="label" for="txtGeoContingency" id="txtGeoContingency_label">Contingency  Plans geohazards description</label>
									</span>
									<span class="defaultBackground" id="txtGeoContingency_container">
										<textarea class="textbox" cols="100" id="txtGeoContingency" name="txtGeoContingency" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="2" style="width : 670px;">
											<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/GEO_HAZ_CONT_PLAN_DESC" />
										</textarea>
										<input name="xgf_txtGeoContingency_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/GEO_HAZ_CONT_PLAN_DESC" xmlns="" />
										<input name="xgf_txtGeoContingency_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:txtGeoContingency" xmlns="" />
										<span id="txtGeoContingency_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="output_4_label_container" style="text-align : center;">
										<label class="label" for="output_4" id="output_4_label" style="font-style : italic;">or</label>
									</span>
									<span class="defaultBackground" id="output_4_container">
										<span class="output" id="output_4">
											<out:choose>
												<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:output_4) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:output_4 = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:output_4" />
												</out:otherwise>
											</out:choose>
										</span>
									</span>
								</div>
								<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="fields_horz_left_group_2" summary="">
									<tr>
										<td class="labelBackground" id="anchContingency_label_container" style="width : 435px;">
											<label class="label" for="anchContingency" id="anchContingency_label">Contingency  Plans geohazards attachment:</label>
										</td>
										<td class="defaultBackground" id="anchContingency_container">
											<a class="hyperlink" href="http://www.example_url.com" id="anchContingency" name="anchContingency">
												<span>
													<span>none</span>
												</span>
											</a>
										</td>
										<td class="defaultBackground" id="button_3_container">
											<input class="button" id="button_3" name="button_3" type="button" value="Browse..." />
										</td>
									</tr>
								</table>
							</fieldset>
						</td>
					</tr>
					<tr>
						<td class="labelBackground" id="rbH2S_label_container" style="width : 430px;">
							<label class="label" for="rbH2S1" id="rbH2S_label">Hydrogen sulfide drilling operations plan required?</label>
						</td>
						<td class="defaultBackground" id="rbH2S_container">
							<table border="0" cellpadding="0" cellspacing="0" class="selectBooleanTable">
								<tr>
									<td class="selectBoolean">
										<input class="radio" id="rbH2S1" name="rbH2S" type="radio" value="Y">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/HYDRGN_SUL_OP_PLAN_REQ = 'Y'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
									</td>
									<td class="selectBooleanCaption">
										<label for="rbH2S1">Yes</label>
									</td>
									<td class="selectBoolean">
										<input class="radio" id="rbH2S2" name="rbH2S" type="radio" value="N">
											<out:if test="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/HYDRGN_SUL_OP_PLAN_REQ = 'N'">
												<out:attribute name="checked">checked</out:attribute>
											</out:if>
										</input>
										<input name="xgf_rbH2S_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/HYDRGN_SUL_OP_PLAN_REQ" xmlns="" />
										<input name="xgf_rbH2S_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbH2S" xmlns="" />
									</td>
									<td class="selectBooleanCaption">
										<label for="rbH2S2">No</label>
									</td>
								</tr>
							</table>
							<input id="rbH2S_value_if_not_submitted" name="rbH2S_value_if_not_submitted" type="hidden" value="" />
							<span id="rbH2S_message_container"></span>
						</td>
						<td colspan="2"> </td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td colspan="4">
							<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="grpHS" summary="">
								<tr>
									<td class="labelBackground" id="anchH2SPlan_label_container" style="width : 435px;">
										<label class="label" for="anchH2SPlan" id="anchH2SPlan_label">Hydrogen sulfide drilling operations plan:</label>
									</td>
									<td class="defaultBackground" id="anchH2SPlan_container">
										<a class="hyperlink" href="http://www.example_url.com" id="anchH2SPlan" name="anchH2SPlan">
											<span>
												<span>none</span>
											</span>
										</a>
									</td>
									<td class="defaultBackground" id="button_4_container">
										<input class="button" id="button_4" name="button_4" type="button" value="Browse..." />
									</td>
								</tr>
							</table>
						</td>
						<td colspan="2"> </td>
					</tr>
				</table>
			</fieldset>
			<div class="hidden vertical" id="hiddenVals">
				<div class="formElement">
					<span class="labelBackground" id="DRLNG_PLN_ID_label_container">
						<label class="label" for="DRLNG_PLN_ID" id="DRLNG_PLN_ID_label">DRLNG PLN ID</label>
					</span>
					<span class="defaultBackground" id="DRLNG_PLN_ID_container">
						<input class="textbox" id="DRLNG_PLN_ID" maxLength="0" name="DRLNG_PLN_ID" size="0" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/DRLNG_PLN_ID}" />
						<input name="xgf_DRLNG_PLN_ID_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/DRLNG_PLN_ID" xmlns="" />
						<input name="xgf_DRLNG_PLN_ID_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:DRLNG_PLN_ID" xmlns="" />
						<span id="DRLNG_PLN_ID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="numSurfacePressure_label_container">
						<label class="label" for="numSurfacePressure" id="numSurfacePressure_label">ANT SURF PRESS CALC</label>
					</span>
					<span class="defaultBackground" id="numSurfacePressure_container">
						<input class="textbox" id="numSurfacePressure" maxLength="0" name="numSurfacePressure" size="0" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_SURF_PRESS_CALC}" />
						<input name="xgf_numSurfacePressure_xpath_xga_saveAPD_DP7" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC7_VW/record/ANT_SURF_PRESS_CALC" xmlns="" />
						<input name="xgf_numSurfacePressure_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:numSurfacePressure" xmlns="" />
						<span id="numSurfacePressure_message_container"></span>
					</span>
				</div>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>numBHP</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>oASP</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbAbnormalPressure1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','3');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbAbnormalPressure2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','3');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'layout_group_2', condition: { type: '==', values: [{ type: 'field', name: 'rbAbnormalPressure'}, 'YES'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtAbnormal</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text disable-output-escaping="yes">field = document.getElementById('</out:text>
			<out:text disable-output-escaping="yes">txtAbnormal_message_container');
                field.setAttribute('_hintClass','hintIcon');field.setAttribute('_hintMessage','Description of any anticipated abnormal pressures, temperatures or potential geologic hazards including but not limited to sloughing coal, geologic structural fault, salt zones which exhibit plastic flow, loss of drilling fluid circulation, etc.');field.setAttribute('_hintMessageShow','true');field.setAttribute('_tipMessage','Description of any anticipated abnormal pressures, temperatures or potential geologic hazards including but not limited to sloughing coal, geologic structural fault, salt zones which exhibit plastic flow, loss of drilling fluid circulation, etc.');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtGeoContingency</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','4000');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>output_4</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>button_3</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbH2S1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','3');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>rbH2S2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','3');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpHS',condition: {type:'==', values:[{type:'field', name:'rbH2S'}, 'Y']}});<out:text>
            field = document.getElementById('</out:text>
			<out:text>button_4</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>DRLNG_PLN_ID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>numSurfacePressure</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','0');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_DPSect7onbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/form/NumberTextBox&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
            }
            APD_DPSect7onbeforeload();
            function APD_DPSect7onload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    document.getElementById('oASP').innerHTML = parseFloat(document.getElementById('numBHP').value)-(.22*128);
document.getElementById('numSurfacePressure').value = parseFloat(document.getElementById('numBHP').value)-(.22*128);
            }
            hyf.attachEventHandler(window, 'onload', APD_DPSect7onload);
                    
            function numBHPonchange(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'numBHP', field: document.getElementById('numBHP')};

                return dojo.hitch(objEventSource.field, function(){
                    document.getElementById('oASP').innerHTML = parseFloat(document.getElementById('numBHP').value)-(.22*128);
document.getElementById('numSurfacePressure').value = parseFloat(document.getElementById('numBHP').value)-(.22*128);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
