<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">APD_DPSect8</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_APD_DPSect8" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="saveAPD_DP8" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<DRILLING_PLAN_SEC8_VW xmlns="">
						<record>
							<APP_ID />
							<APD_ID />
							<WELL_ID />
							<WELL_CLS_ID />
							<NR_OF_MULTILAT_LEGS />
							<DRLNG_PLN_ID />
							<MSTR_PLN_ID />
							<BLWT_PRVNTR_PRESS_RTNG />
							<BLWT_PRVNTR_EQUIP />
							<BLWT_PRVNTR_TSTNG_PROC />
							<REQNG_PRVNTR_VRNC />
							<BLWT_PRVNTR_VRNC_REQ />
							<BLWT_PRVNTR_DIAG_FILE_PTH />
							<ANT_BTM_HOLE_PRESS />
							<ANT_SURF_PRESS_CALC />
							<WELL_CNTL_MIT_MECH />
							<MUD_MNTR_SYS_USED />
							<USE_OF_AIR_OR_GAS_SYS />
							<AIR_OR_GAS_EQPMNT_DESC />
							<AIR_GAS_EQPMNT_DIAG_FILE_PTH />
							<MUD_SYS_TY />
							<PROD_TST_LIST />
							<OPN_CSE_HOLE_WELL_LOG_LIST />
							<CRNG_OPS_DESC />
							<ANT_ABNML_PRS_TMP_GEO_HAZ />
							<ANT_ABNML_PRS_TMP_GEO_HAZ_DESC />
							<GEO_HAZ_CONT_PLAN_DESC />
							<HYDRGN_SUL_OP_PLAN_REQ />
							<HYDRGN_SUL_OP_PLAN_FILE_PTH />
							<PRPSE_HOZ_DIR_MLTLAT_PLN_SBMSN />
							<OTH_OP_FACET_DESC />
							<OTH_OP_FACET_DESC_FILE_PTH />
							<WELL_CLS_NM />
							<WELL_CLS_DESC />
						</record>
					</DRILLING_PLAN_SEC8_VW>
					<formData>
						<DPid />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div _use="group" class="vertical" id="DPSect8">
			<fieldset class="fieldsetGroup vertical" id="grpSection8">
				<legend class="fieldsetGroupLabelBackground" id="grpSection8_label_container">
					<span class="label" id="grpSection8_label">Section 8 - Other Information</span>
				</legend>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid" summary="">
					<tr>
						<td colspan="2"> </td>
						<td colspan="2"> </td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td colspan="6">
							<table border="0" cellpadding="0" cellspacing="0" class="hidden grid" id="layout_grid_2" summary="">
								<tr>
									<td class="labelBackground" id="rbWellClass_label_container" style="width : 105px; vertical-align : middle;">
										<label class="label" for="rbWellClass1" id="rbWellClass_label">Well Class</label>
									</td>
									<td class="defaultBackground" id="rbWellClass_container">
										<out:variable name="totalCount" select="count(/mvc:eForm/mvc:Data/WELL_CLASS_REF_VW/record)" />
										<out:for-each select="/mvc:eForm/mvc:Data/WELL_CLASS_REF_VW/record">
											<out:variable name="number" select="position()" />
											<out:choose>
												<out:when test="$number = 1">
													<out:text disable-output-escaping="yes">&lt;table cellspacing=&quot;0&quot; cellpadding=&quot;0&quot; border=&quot;0&quot;&gt;&lt;tr&gt;</out:text>
												</out:when>
												<out:when test="(2 = 1) or (($number mod 2) = 1)">
													<out:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</out:text>
												</out:when>
											</out:choose>
											<td class="selectBoolean" xmlns="">
												<input class="radio" id="rbWellClass{$number}" name="rbWellClass" type="radio" value="{WELL_CLS_ID}">
													<out:if test="WELL_CLS_ID = /mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/WELL_CLS_ID">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
													<out:if test="/">
														<out:attribute name="disabled">disabled</out:attribute>
														<out:attribute name="class">
															<out:text>disabled </out:text>
														</out:attribute>
													</out:if>
												</input>
											</td>
											<td class="selectBooleanCaption" xmlns="">
												<label for="rbWellClass{$number}">
													<out:value-of select="WELL_CLS_NM" />
												</label>
											</td>
											<out:if test="$number = $totalCount">
												<out:text disable-output-escaping="yes">&lt;/tr&gt;&lt;/table&gt;</out:text>
											</out:if>
										</out:for-each>
										<input name="xgf_rbWellClass_xpath_xga_saveAPD_DP8" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/WELL_CLS_ID" xmlns="" />
										<input name="xgf_rbWellClass_xpath_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:rbWellClass" xmlns="" />
										<input id="rbWellClass_value_if_not_submitted" name="rbWellClass_value_if_not_submitted" type="hidden" value="">
											<out:if test="/">
												<out:attribute name="disabled">disabled</out:attribute>
												<out:attribute name="class">
													<out:text>disabled </out:text>
												</out:attribute>
											</out:if>
										</input>
										<span class="hintIcon" id="rbWellClass_message_container" onmousemove="hyf.util.showTipMessage(arguments[0]);" onmouseout="hyf.util.hideTipMessage(arguments[0]);">
&#160;&#160;&#160;&#160;&#160;&#160;										</span>
									</td>
									<td class="vertical" colspan="2" id="layoutNumLegs" style="vertical-align : middle;">
										<div class="formElement">
											<span class="labelBackground" id="txtNumLegs_label_container">
												<label class="label" for="txtNumLegs" id="txtNumLegs_label">Number of Legs</label>
											</span>
											<span class="defaultBackground" id="txtNumLegs_container">
												<span class="output" id="txtNumLegs">
													<out:choose>
														<out:when test="not(/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/NR_OF_MULTILAT_LEGS) or (/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/NR_OF_MULTILAT_LEGS = '')">
															<out:text disable-output-escaping="yes">&amp;#160;</out:text>
														</out:when>
														<out:otherwise>
															<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/NR_OF_MULTILAT_LEGS" />
														</out:otherwise>
													</out:choose>
												</span>
											</span>
										</div>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="6">
							<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="fields_horz_left_group_4" summary="">
								<tr>
									<td class="labelBackground" id="anchor_2_label_container" style="width : 435px;">
										<label class="label" for="anchor_2" id="anchor_2_label">Proposed horizontal/directional/multi-lateral plan submission</label>
									</td>
									<td class="defaultBackground" id="anchor_2_container">
										<a class="hyperlink" href="http://www.example_url.com" id="anchor_2" name="anchor_2">
											<span>
												<span>none</span>
											</span>
										</a>
									</td>
									<td class="defaultBackground" id="button_5_container">
										<input class="button" id="button_5" name="button_5" type="button" value="Browse..." />
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="6">
							<fieldset class="fieldsetInnerGroup  vertical" id="group_info_2">
								<div class="formElement">
									<span class="labelBackground" id="textarea_8_label_container" style="width : 428px;">
										<label class="label" for="textarea_8" id="textarea_8_label">Other proposed operations facets description</label>
									</span>
									<span class="defaultBackground" id="textarea_8_container">
										<textarea class="textbox" cols="100" id="textarea_8" name="textarea_8" onkeyup="hyf.textarea.adjustHeight(event, this, 2, 10);;" rows="">
											<out:value-of select="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/OTH_OP_FACET_DESC" />
										</textarea>
										<input name="xgf_textarea_8_xpath_xga_saveAPD_DP8" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/OTH_OP_FACET_DESC" xmlns="" />
										<input name="xgf_textarea_8_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:textarea_8" xmlns="" />
										<span id="textarea_8_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<span class="labelBackground" id="output_3_label_container" style="text-align : center;">
										<label class="label" for="output_3" id="output_3_label" style="font-style : italic;">or</label>
									</span>
									<span class="defaultBackground" id="output_3_container">
										<span class="output" id="output_3">
											<out:choose>
												<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:output_3) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:output_3 = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:output_3" />
												</out:otherwise>
											</out:choose>
										</span>
									</span>
								</div>
								<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="fields_horz_left_group_5" summary="">
									<tr>
										<td class="labelBackground" id="anchor_3_label_container" style="width : 435px;">
											<label class="label" for="anchor_3" id="anchor_3_label">Other proposed operations facets attachment</label>
										</td>
										<td class="defaultBackground" id="anchor_3_container">
											<a class="hyperlink" href="http://www.example_url.com" id="anchor_3" name="anchor_3">
												<span>
													<span>none</span>
												</span>
											</a>
										</td>
										<td class="defaultBackground" id="button_6_container">
											<input class="button" id="button_6" name="button_6" type="button" value="Browse..." />
										</td>
									</tr>
								</table>
							</fieldset>
						</td>
					</tr>
				</table>
				<div class="hidden vertical" id="layout_group">
					<div class="formElement">
						<span class="labelBackground" id="DPid_label_container">
							<label class="label" for="DPid" id="DPid_label">DP id</label>
						</span>
						<span class="defaultBackground" id="DPid_container">
							<input class="textbox" id="DPid" name="DPid" type="text" value="{/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/DRLNG_PLN_ID}" />
							<input name="xgf_DPid_xpath_xga_saveAPD_DP8" type="hidden" value="/mvc:eForm/mvc:Data/DRILLING_PLAN_SEC8_VW/record/DRLNG_PLN_ID" xmlns="" />
							<input name="xgf_DPid_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4_xga_loadAPD_DP" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:DPid" xmlns="" />
							<span id="DPid_message_container"></span>
						</span>
					</div>
				</div>
			</fieldset>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:for-each select="/mvc:eForm/mvc:Data/WELL_CLASS_REF_VW/record">
				<out:text>
            field = document.getElementById('</out:text>
				<out:text>rbWellClass</out:text>
				<out:value-of select="position()" />
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:text disable-output-escaping="yes">field = document.getElementById('</out:text>
			<out:text disable-output-escaping="yes">rbWellClass_message_container');
                field.setAttribute('_hintClass','hintIcon');field.setAttribute('_hintMessage','This value is modified on the Application - Section 2 (Well Information) screen');field.setAttribute('_hintMessageShow','true');field.setAttribute('_tipMessage','This value is modified on the Application - Section 2 (Well Information) screen');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'layoutNumLegs', condition: { type: '==', values: [{ type: 'field', name: 'rbWellClass'}, '6'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>txtNumLegs</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'fields_horz_left_group_4', condition: { type: '==', values: [{ type: 'field', name: 'rbWellClass'}, '2;3;4;5;6'] }});<out:text>
            field = document.getElementById('</out:text>
			<out:text>button_5</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>textarea_8</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>field.onkeyup();</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>output_3</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>button_6</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>DPid</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function APD_DPSect8onbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objFunction = {name: 'Function', option: 'Static', value: 'require'};
                    var objParameters = {name: 'Parameters', option: 'Script', value: '[&quot;dijit/form/NumberTextBox&quot;]'};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
            }
            APD_DPSect8onbeforeload();</xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
