<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:import href="demo_skin.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">NewForm</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="loadAPD_DP" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<casings_repeat>
							<popStringType />
							<currentSection />
							<popCasingSize />
							<popJoint />
							<popCasingGrade />
							<targetSection />
							<popCondition />
							<popStandard />
							<targetPage />
							<popElevation />
							<txtBlowoutEquip />
							<WELL_CNTL_MIT_MECH />
							<rbH2S />
							<MUD_MNTR_SYS_USED />
							<oBodyCalc />
							<oJointCalc />
							<oCasingID />
							<oDPID />
							<oStringTypeID />
							<oJointID />
							<oGradeID />
						</casings_repeat>
						<cementRepeat>
							<oHoleSize />
							<oTopMD />
							<currentSection />
							<currentPage />
							<oTopTVD />
							<oBottomMD />
							<oBottomTVD />
							<oWeight />
							<oCasingSizeOther />
							<oDPID />
							<oCasingID />
							<oDPID />
							<oCasingID />
						</cementRepeat>
						<repeat_MudTable>
							<oHoleSize />
							<oTopMD />
							<currentSection />
							<oTopTVD />
							<oBottomMD />
							<txtBlowoutEquip />
							<CIRC_MED_ID />
						</repeat_MudTable>
						<USE_OF_AIR_OR_GAS_SYS />
						<oProdFormation />
						<currentSection />
						<currentPage />
						<targetSection />
						<targetPage />
						<AppIDMain />
						<tabFormAction />
						<popRowID />
						<DPid />
						<MUD_SYS_TY />
						<MUD_MNTR_SYS_USED />
						<WELL_CNTL_MIT_MECH />
						<AIR_GAS_EQPMNT_DIAG_FILE_PTH />
						<AIR_OR_GAS_EQPMNT_DESC />
						<APD_ID />
						<popDPID />
						<txtBlowoutEquip />
						<rbReqVariance />
						<txtVarianceRequest />
						<txtTestProcedure />
						<txtProdTests />
						<txtHoleLogs />
						<txtCoring />
						<rbAbnormalPressure />
						<txtAbnormal />
						<numSurfacePressure />
						<txtGeoContingency />
						<rbH2S />
						<numBHP />
						<delMudID />
						<DP1Pct />
						<DP2Pct />
						<DP8Pct />
						<DP7Pct />
						<DP6Pct />
						<DP5Pct />
						<DP4Pct />
						<DP3Pct />
						<DPID />
						<popCementID />
						<DP_ID />
						<tabAction />
						<popDPID />
						<popCasingID />
						<StringOther />
						<GradeOther />
						<CSNG_THRD_TY_OTH />
						<delDP_ID />
						<popLengthMD />
						<popLengthTVD />
						<popLengthMSL />
						<popTopMSL />
						<popBottomMSL />
						<popBottomMD />
						<popBottomTVD />
						<surfaceElevation />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div class="form">
			<form action="process.do" method="post" name="DPForm">
				<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
					<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" xmlns="" />
				</out:if>
				<input name="is_script_enabled" type="hidden" value="false" />
				<script type="text/javascript">
					<out:text>document.DPForm</out:text>
					<out:text>.is_script_enabled.value = 'true';</out:text>
				</script>
				<div class="partialPageContainer vertical" id="ppg_Main"></div>
				<div class="formElement">
					<span class="labelBackground" id="DPPct_label_container">
						<label class="label" for="DPPct" id="DPPct_label">DP Pct</label>
					</span>
					<span class="defaultBackground" id="DPPct_container">
						<span class="output" id="DPPct">
							<out:choose>
								<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:DPPct) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:DPPct = '')">
									<out:text disable-output-escaping="yes">&amp;#160;</out:text>
								</out:when>
								<out:otherwise>
									<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:DPPct" />
								</out:otherwise>
							</out:choose>
						</span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="currentSection_label_container">
						<label class="label" for="currentSection" id="currentSection_label">Cur Section</label>
					</span>
					<span class="defaultBackground" id="currentSection_container">
						<input class="textbox" id="currentSection" name="currentSection" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:currentSection}" />
						<input name="currentSection_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:currentSection" xmlns="" />
						<span id="currentSection_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="currentPage_label_container">
						<label class="label" for="currentPage" id="currentPage_label">Cur Page</label>
					</span>
					<span class="defaultBackground" id="currentPage_container">
						<input class="textbox" id="currentPage" name="currentPage" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:currentPage}" />
						<input name="currentPage_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:currentPage" xmlns="" />
						<span id="currentPage_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="targetSection_label_container">
						<label class="label" for="targetSection" id="targetSection_label">Target Sect</label>
					</span>
					<span class="defaultBackground" id="targetSection_container">
						<input class="textbox" id="targetSection" name="targetSection" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:targetSection}" />
						<input name="targetSection_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:targetSection" xmlns="" />
						<span id="targetSection_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="targetPage_label_container">
						<label class="label" for="targetPage" id="targetPage_label">Target Page</label>
					</span>
					<span class="defaultBackground" id="targetPage_container">
						<input class="textbox" id="targetPage" name="targetPage" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:targetPage}" />
						<input name="targetPage_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:targetPage" xmlns="" />
						<span id="targetPage_message_container"></span>
					</span>
				</div>
			</form>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.DPForm,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all',
                mandatoryMarker: {
                    content: ' * ',
                    location: 'after_label',
                    className: 'mandatory',
                    style: ''
                    }
            }
        			</out:text>
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>DPPct</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>currentSection</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>currentPage</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>targetSection</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>targetPage</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function DPFormonload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objAction = {name: 'Action', option: 'Action', value: 'loadAPD_DP.do'};
                    var objSourceGroup = {name: 'SourceGroup', option: 'AllFormData', value: ''};
                    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_Main'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
            }
            hyf.attachEventHandler(window, 'onload', DPFormonload);
                    
                    hyf.hooks.contentInserted(document.body);</xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
