<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">FormationTable</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_FormationTable" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" />
		<link href="css/BLM.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/DialogWidgetFix.js" type="text/javascript"></script>
		<script src="js/APD.js" type="text/javascript"></script>
		<script src="js/DP.js" type="text/javascript"></script>
		<script src="js/Util.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xg="http://www.hyfinity.com/xgate" >		<div _use="group" class="vertical" id="layoutFormationTable">
			<div class="repeat" id="repeatFormations">
				<out:for-each select="/mvc:eForm/mvc:Data/GEO_FORMATION_VW/record">
					<out:variable name="repeatFormationsLoopEntry" select="." />
					<out:variable name="repeatFormationsLoopCount">
						<out:text>repeatFormations</out:text>
						<out:value-of select="position()" />
					</out:variable>
					<out:variable name="repeatFormations-repeat-position-number">
						<out:value-of select="position()" />
					</out:variable>
					<table border="0" cellpadding="0" cellspacing="0" class="grid" id="{$repeatFormationsLoopCount}two_column_grid" style="width : 100%;border: 1px solid;" summary="">
						<tr>
							<td class="vertical" colspan="2" id="{$repeatFormationsLoopCount}two_column_1">
								<table border="0" cellpadding="0" cellspacing="0" class="grid" id="{$repeatFormationsLoopCount}layout_grid_2" summary="">
									<tr>
										<td colspan="8">
											<table border="0" cellpadding="0" cellspacing="0" class="horizontal force" id="{$repeatFormationsLoopCount}fields_horz_left_group" summary="">
												<tr>
													<td class="labelBackground" id="{$repeatFormationsLoopCount}oRowID_label_container" style="width : 52px;">
														<label class="label" for="{$repeatFormationsLoopCount}oRowID" id="{$repeatFormationsLoopCount}oRowID_label">ID</label>
													</td>
													<td class="defaultBackground" id="{$repeatFormationsLoopCount}oRowID_container">
														<span class="output" id="{$repeatFormationsLoopCount}oRowID" style="width : 126px;">
															<out:choose>
																<out:when test="not(FRMTN_ROW_ID) or (FRMTN_ROW_ID = '')">
																	<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																</out:when>
																<out:otherwise>
																	<out:value-of select="FRMTN_ROW_ID" />
																</out:otherwise>
															</out:choose>
														</span>
													</td>
													<td class="labelBackground" id="{$repeatFormationsLoopCount}oFormName_label_container">
														<label class="label" for="{$repeatFormationsLoopCount}oFormName" id="{$repeatFormationsLoopCount}oFormName_label">Name</label>
													</td>
													<td class="defaultBackground" id="{$repeatFormationsLoopCount}oFormName_container">
														<span class="output" id="{$repeatFormationsLoopCount}oFormName">
															<out:choose>
																<out:when test="not(FRMTN_ZN_NM) or (FRMTN_ZN_NM = '')">
																	<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																</out:when>
																<out:otherwise>
																	<out:value-of select="FRMTN_ZN_NM" />
																</out:otherwise>
															</out:choose>
														</span>
													</td>
													<td class="labelBackground" id="{$repeatFormationsLoopCount}oLithology_label_container">
														<label class="label" for="{$repeatFormationsLoopCount}oLithology" id="{$repeatFormationsLoopCount}oLithology_label">Lithology</label>
													</td>
													<td class="defaultBackground" id="{$repeatFormationsLoopCount}oLithology_container">
														<span class="output" id="{$repeatFormationsLoopCount}oLithology">
															<out:choose>
																<out:when test="not(FRMTN_LITH_NM) or (FRMTN_LITH_NM = '')">
																	<out:text disable-output-escaping="yes">&amp;#160;</out:text>
																</out:when>
																<out:otherwise>
																	<out:value-of select="FRMTN_LITH_NM" />
																</out:otherwise>
															</out:choose>
														</span>
													</td>
													<td class="vertical" id="{$repeatFormationsLoopCount}grpLithOther">
														<div class="formElement">
															<span class="labelBackground" id="{$repeatFormationsLoopCount}oLithOther_label_container" style="width : 166px;">
																<label class="label" for="{$repeatFormationsLoopCount}oLithOther" id="{$repeatFormationsLoopCount}oLithOther_label">Describe Lithology</label>
															</span>
															<span class="defaultBackground" id="{$repeatFormationsLoopCount}oLithOther_container">
																<input class="textbox" id="{$repeatFormationsLoopCount}oLithOther" name="{$repeatFormationsLoopCount}oLithOther" type="text" value="{mvc:oLithOther}" />
																<input name="xgf_{$repeatFormationsLoopCount}oLithOther_xpath_xga_saveAPD_DP1_xga_loadFormations_xga_loadFormations_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:repeatFormations[{$repeatFormations-repeat-position-number}]/mvc:oLithOther" xmlns="" />
																<span id="{$repeatFormationsLoopCount}oLithOther_message_container"></span>
															</span>
														</div>
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td class="labelBackground" id="{$repeatFormationsLoopCount}oElevation_label_container">
											<label class="label" for="{$repeatFormationsLoopCount}oElevation" id="{$repeatFormationsLoopCount}oElevation_label">Elevation</label>
										</td>
										<td class="defaultBackground" id="{$repeatFormationsLoopCount}oElevation_container">
											<span class="output" id="{$repeatFormationsLoopCount}oElevation">
												<out:choose>
													<out:when test="not(FRMTN_ELEV) or (FRMTN_ELEV = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="FRMTN_ELEV" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$repeatFormationsLoopCount}oTVD_label_container">
											<label class="label" for="{$repeatFormationsLoopCount}oTVD" id="{$repeatFormationsLoopCount}oTVD_label">True Vertical Depth</label>
										</td>
										<td class="defaultBackground" id="{$repeatFormationsLoopCount}oTVD_container">
											<span class="output" id="{$repeatFormationsLoopCount}oTVD">
												<out:choose>
													<out:when test="not(FRMTN_TRUE_VERT_DEP) or (FRMTN_TRUE_VERT_DEP = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="FRMTN_TRUE_VERT_DEP" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="labelBackground" id="{$repeatFormationsLoopCount}oMD_label_container">
											<label class="label" for="{$repeatFormationsLoopCount}oMD" id="{$repeatFormationsLoopCount}oMD_label">Measured Depth</label>
										</td>
										<td class="defaultBackground" id="{$repeatFormationsLoopCount}oMD_container">
											<span class="output" id="{$repeatFormationsLoopCount}oMD">
												<out:choose>
													<out:when test="not(FRMTN_ME_DEP) or (FRMTN_ME_DEP = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="FRMTN_ME_DEP" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td colspan="2"> </td>
									</tr>
									<tr>
										<td class="labelBackground" id="{$repeatFormationsLoopCount}oMineral_label_container">
											<label class="label" for="{$repeatFormationsLoopCount}oMineral" id="{$repeatFormationsLoopCount}oMineral_label">Mineral Resource</label>
										</td>
										<td class="defaultBackground" id="{$repeatFormationsLoopCount}oMineral_container">
											<span class="output" id="{$repeatFormationsLoopCount}oMineral">
												<out:choose>
													<out:when test="not(MIN_RSRC_NM) or (MIN_RSRC_NM = '')">
														<out:text disable-output-escaping="yes">&amp;#160;</out:text>
													</out:when>
													<out:otherwise>
														<out:value-of select="MIN_RSRC_NM" />
													</out:otherwise>
												</out:choose>
											</span>
										</td>
										<td class="vertical" colspan="4" id="{$repeatFormationsLoopCount}grpMineralOther">
											<div class="formElement">
												<span class="labelBackground" id="{$repeatFormationsLoopCount}oMinOther_label_container">
													<label class="label" for="{$repeatFormationsLoopCount}oMinOther" id="{$repeatFormationsLoopCount}oMinOther_label">Describe Mineral Resource</label>
												</span>
												<span class="defaultBackground" id="{$repeatFormationsLoopCount}oMinOther_container">
													<span class="output" id="{$repeatFormationsLoopCount}oMinOther">
														<out:choose>
															<out:when test="not(MIN_RSRC_DESC) or (MIN_RSRC_DESC = '')">
																<out:text disable-output-escaping="yes">&amp;#160;</out:text>
															</out:when>
															<out:otherwise>
																<out:value-of select="MIN_RSRC_DESC" />
															</out:otherwise>
														</out:choose>
													</span>
												</span>
											</div>
										</td>
										<td colspan="2"> </td>
									</tr>
									<tr>
										<td class="labelBackground" id="{$repeatFormationsLoopCount}oProdFormation_label_container" style="width : 228px;">
											<label class="label" for="{$repeatFormationsLoopCount}oProdFormation1" id="{$repeatFormationsLoopCount}oProdFormation_label">Is this a producing formation?</label>
										</td>
										<td class="defaultBackground" colspan="3" id="{$repeatFormationsLoopCount}oProdFormation_container">
											<span class="selectBoolean">
												<input class="radio" id="{$repeatFormationsLoopCount}oProdFormation1" name="{$repeatFormationsLoopCount}oProdFormation" type="radio" value="Y">
													<out:if test="FRMTN_PROD_IND = 'Y'">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
												</input>
											</span>
											<label class="selectBooleanCaption" for="{$repeatFormationsLoopCount}oProdFormation1">Yes</label>
											<span class="selectBoolean">
												<input class="radio" id="{$repeatFormationsLoopCount}oProdFormation2" name="{$repeatFormationsLoopCount}oProdFormation" type="radio" value="N">
													<out:if test="FRMTN_PROD_IND = 'N'">
														<out:attribute name="checked">checked</out:attribute>
													</out:if>
												</input>
												<input name="xgf_{$repeatFormationsLoopCount}oProdFormation_xpath_xga_saveAPD_DP1_xga_loadFormations_xga_loadFormations_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:repeatFormations[{$repeatFormations-repeat-position-number}]/mvc:oProdFormation" xmlns="" />
												<input name="xgf_{$repeatFormationsLoopCount}oProdFormation_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP" type="hidden" value="enter_xpath_here[{$repeatFormations-repeat-position-number}]/mvc:oProdFormation" xmlns="" />
											</span>
											<label class="selectBooleanCaption" for="{$repeatFormationsLoopCount}oProdFormation2">No</label>
											<input id="{$repeatFormationsLoopCount}oProdFormation_value_if_not_submitted" name="{$repeatFormationsLoopCount}oProdFormation_value_if_not_submitted" type="hidden" value="" />
											<span id="{$repeatFormationsLoopCount}oProdFormation_message_container"></span>
										</td>
										<td class="hidden vertical" colspan="2" id="{$repeatFormationsLoopCount}layout_group_2">
											<div class="formElement">
												<span class="labelBackground" id="{$repeatFormationsLoopCount}oDPID_label_container">
													<label class="label" for="{$repeatFormationsLoopCount}oDPID" id="{$repeatFormationsLoopCount}oDPID_label">DP ID</label>
												</span>
												<span class="defaultBackground" id="{$repeatFormationsLoopCount}oDPID_container">
													<input class="textbox" id="{$repeatFormationsLoopCount}oDPID" name="{$repeatFormationsLoopCount}oDPID" type="text" value="{DRLNG_PLN_ID}" />
													<input name="xgf_{$repeatFormationsLoopCount}oDPID_xpath_xga_saveAPD_DP1_xga_loadFormations_xga_loadFormations_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:repeatFormations[{$repeatFormations-repeat-position-number}]/mvc:oDPID" xmlns="" />
													<input name="xgf_{$repeatFormationsLoopCount}oDPID_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP" type="hidden" value="enter_xpath_here[{$repeatFormations-repeat-position-number}]/mvc:oDPID" xmlns="" />
													<span id="{$repeatFormationsLoopCount}oDPID_message_container"></span>
												</span>
											</div>
											<div class="formElement">
												<span class="labelBackground" id="{$repeatFormationsLoopCount}oDPFormID_label_container">
													<label class="label" for="{$repeatFormationsLoopCount}oDPFormID" id="{$repeatFormationsLoopCount}oDPFormID_label">DP Form ID</label>
												</span>
												<span class="defaultBackground" id="{$repeatFormationsLoopCount}oDPFormID_container">
													<input class="textbox" id="{$repeatFormationsLoopCount}oDPFormID" name="{$repeatFormationsLoopCount}oDPFormID" type="text" value="{DRLNG_PLN_FRMTN_ID}" />
													<input name="xgf_{$repeatFormationsLoopCount}oDPFormID_xpath_xga_saveAPD_DP1_xga_loadFormations_xga_loadFormations_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:repeatFormations[{$repeatFormations-repeat-position-number}]/mvc:oDPFormID" xmlns="" />
													<input name="xgf_{$repeatFormationsLoopCount}oDPFormID_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP" type="hidden" value="enter_xpath_here[{$repeatFormations-repeat-position-number}]/mvc:oDPFormID" xmlns="" />
													<span id="{$repeatFormationsLoopCount}oDPFormID_message_container"></span>
												</span>
											</div>
											<div class="formElement">
												<span class="labelBackground" id="{$repeatFormationsLoopCount}oFormID_label_container">
													<label class="label" for="{$repeatFormationsLoopCount}oFormID" id="{$repeatFormationsLoopCount}oFormID_label">FormID</label>
												</span>
												<span class="defaultBackground" id="{$repeatFormationsLoopCount}oFormID_container">
													<input class="textbox" id="{$repeatFormationsLoopCount}oFormID" name="{$repeatFormationsLoopCount}oFormID" type="text" value="{FRMTN_ID}" />
													<input name="xgf_{$repeatFormationsLoopCount}oFormID_xpath_xga_saveAPD_DP1_xga_loadFormations_xga_loadFormations_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:repeatFormations[{$repeatFormations-repeat-position-number}]/mvc:oFormID" xmlns="" />
													<input name="xgf_{$repeatFormationsLoopCount}oFormID_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP" type="hidden" value="enter_xpath_here[{$repeatFormations-repeat-position-number}]/mvc:oFormID" xmlns="" />
													<span id="{$repeatFormationsLoopCount}oFormID_message_container"></span>
												</span>
											</div>
											<div class="formElement">
												<span class="labelBackground" id="{$repeatFormationsLoopCount}oLithID_label_container">
													<label class="label" for="{$repeatFormationsLoopCount}oLithID" id="{$repeatFormationsLoopCount}oLithID_label">Lith ID</label>
												</span>
												<span class="defaultBackground" id="{$repeatFormationsLoopCount}oLithID_container">
													<input class="textbox" id="{$repeatFormationsLoopCount}oLithID" name="{$repeatFormationsLoopCount}oLithID" type="text" value="{FRMTN_LITH_ID}" />
													<input name="xgf_{$repeatFormationsLoopCount}oLithID_xpath_xga_saveAPD_DP1_xga_loadFormations_xga_loadFormations_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:repeatFormations[{$repeatFormations-repeat-position-number}]/mvc:oLithID" xmlns="" />
													<input name="xgf_{$repeatFormationsLoopCount}oLithID_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP" type="hidden" value="enter_xpath_here[{$repeatFormations-repeat-position-number}]/mvc:oLithID" xmlns="" />
													<span id="{$repeatFormationsLoopCount}oLithID_message_container"></span>
												</span>
											</div>
											<div class="formElement">
												<span class="labelBackground" id="{$repeatFormationsLoopCount}oMinID_label_container">
													<label class="label" for="{$repeatFormationsLoopCount}oMinID" id="{$repeatFormationsLoopCount}oMinID_label">Min ID</label>
												</span>
												<span class="defaultBackground" id="{$repeatFormationsLoopCount}oMinID_container">
													<input class="textbox" id="{$repeatFormationsLoopCount}oMinID" name="{$repeatFormationsLoopCount}oMinID" type="text" value="{MIN_RSRC_ID}" />
													<input name="xgf_{$repeatFormationsLoopCount}oMinID_xpath_xga_saveAPD_DP1_xga_loadFormations_xga_loadFormations_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:repeatFormations[{$repeatFormations-repeat-position-number}]/mvc:oMinID" xmlns="" />
													<input name="xgf_{$repeatFormationsLoopCount}oMinID_xpath_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP" type="hidden" value="enter_xpath_here[{$repeatFormations-repeat-position-number}]/mvc:oMinID" xmlns="" />
													<span id="{$repeatFormationsLoopCount}oMinID_message_container"></span>
												</span>
											</div>
										</td>
										<td colspan="2"> </td>
									</tr>
									<tr>
										<td colspan="2"> </td>
										<td colspan="2"> </td>
										<td colspan="2"> </td>
										<td colspan="2"> </td>
									</tr>
								</table>
							</td>
							<td class="vertical" colspan="2" id="{$repeatFormationsLoopCount}two_column_2" style="vertical-align : middle; border-left: 1px solid; background-color : #f0f0f0; text-align : center; width : 50px;">
								<div class="formElement">
									<span class="defaultBackground" id="{$repeatFormationsLoopCount}image_2_container">
										<img alt="Edit" class="image" id="{$repeatFormationsLoopCount}image_2" name="{$repeatFormationsLoopCount}image_2" onclick="return image_2onclick((typeof(event) != 'undefined') ? event : arguments[0], '{$repeatFormationsLoopCount}');" src="images/Edit.gif" />
									</span>
									<div class="labelBackground" id="{$repeatFormationsLoopCount}image_2_label_container" style="width : 60px;">
										<label class="label" for="{$repeatFormationsLoopCount}image_2" id="{$repeatFormationsLoopCount}image_2_label">Edit</label>
									</div>
								</div>
								<div class="formElement">
									<span class="defaultBackground" id="{$repeatFormationsLoopCount}image_container">
										<img alt="Delete" class="image" id="{$repeatFormationsLoopCount}image" name="{$repeatFormationsLoopCount}image" onclick="return imageonclick((typeof(event) != 'undefined') ? event : arguments[0], '{$repeatFormationsLoopCount}');" src="images/Del.gif" />
									</span>
									<div class="labelBackground" id="{$repeatFormationsLoopCount}image_label_container" style="width : 60px;">
										<label class="label" for="{$repeatFormationsLoopCount}image" id="{$repeatFormationsLoopCount}image_label">Delete</label>
									</div>
								</div>
							</td>
						</tr>
					</table>
				</out:for-each>
				<input name="xgf_hyfrepeat-FormationTable-1-location_xga_saveAPD_DP1_xga_loadFormations_xga_loadFormations_xga_loadAPD_DP5_xga_loadAPD_DP8_xga_loadAPD_DP7_xga_loadAPD_DP6_xga_loadAPD_DP4_xga_loadAPD_DP4" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:repeatFormations" xmlns="" />
				<input name="xgf_hyfrepeat-FormationTable-1-location_xga_loadAPD_DP2_xga_loadAPD_DP1_xga_loadAPD_DP3_xga_loadAPD_DP" type="hidden" value="enter_xpath_here" xmlns="" />
				<input name="hyfrepeat-FormationTable-1-count" type="hidden" value="{count(/mvc:eForm/mvc:Data/GEO_FORMATION_VW/record)}" xmlns="" />
			</div>
			<div class="hidden vertical" id="deleteGroup">
				<div class="formElement">
					<span class="labelBackground" id="delDPFormID_label_container">
						<label class="label" for="delDPFormID" id="delDPFormID_label">DelDPFormID</label>
					</span>
					<span class="defaultBackground" id="delDPFormID_container">
						<input class="textbox" id="delDPFormID" name="delDPFormID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:delDPFormID}" />
						<input name="delDPFormID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:delDPFormID" xmlns="" />
						<span id="delDPFormID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="delDPID_label_container">
						<label class="label" for="delDPID" id="delDPID_label">DelDPID</label>
					</span>
					<span class="defaultBackground" id="delDPID_container">
						<input class="textbox" id="delDPID" name="delDPID" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:delDPID}" />
						<input name="delDPID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:delDPID" xmlns="" />
						<span id="delDPID_message_container"></span>
					</span>
				</div>
				<div class="formElement">
					<span class="labelBackground" id="delAction_label_container">
						<label class="label" for="delAction" id="delAction_label">DelAction</label>
					</span>
					<span class="defaultBackground" id="delAction_container">
						<input class="textbox" id="delAction" name="delAction" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:delAction}" />
						<input name="delAction_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:delAction" xmlns="" />
						<span id="delAction_message_container"></span>
					</span>
				</div>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" xmlns:xg="http://www.hyfinity.com/xgate">			<out:for-each select="/mvc:eForm/mvc:Data/GEO_FORMATION_VW/record">
				<out:variable name="repeatFormationsLoopEntry" select="." />
				<out:variable name="repeatFormationsLoopCount">
					<out:text>repeatFormations</out:text>
					<out:value-of select="position()" />
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oRowID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oFormName</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oLithology</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpLithOther', repeatId: '<out:value-of select="$repeatFormationsLoopCount" />',condition: {type:'==', values:[{type:'field', name:'oLithology', repeatId: '<out:value-of select="$repeatFormationsLoopCount" />'}, 'Other']}});<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oLithOther</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oElevation</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oTVD</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oMD</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oMineral</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>hyf.util.conditionalDisplay.setup({type:'group', name: 'grpMineralOther',  repeatId: '<out:value-of select="$repeatFormationsLoopCount" />', condition: { type: '==', values: [{ type: 'field', name: 'oMineral', repeatId: '<out:value-of select="$repeatFormationsLoopCount" />'}, 'OTHER'] }});<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oMinOther</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oProdFormation1</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oProdFormation2</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oDPID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oDPFormID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oFormID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oLithID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$repeatFormationsLoopCount" />
				<out:text>oMinID</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			</out:for-each>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>delDPFormID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>delDPID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>delAction</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function FormationTableonload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                    var objTargetToSet = {name: 'TargetToSet', option: 'PageField', value: 'delAction'};
                    var objValueToAssign = {name: 'ValueToAssign', option: 'Static', value: 'None'};
                    hyf.FMAction.handleSetValue(objTargetToSet, objValueToAssign, objEventSource);
                    document.getElementById('tabFormAction').value = 'None';
            }
            hyf.attachEventHandler(window, 'onload', FormationTableonload);
                    
            function image_2onclick(e, repeatId)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'image_2', repeatId: repeatId, field: document.getElementById(repeatId + 'image_2')};

                return dojo.hitch(objEventSource.field, function(){
                    updateFormation(objEventSource.repeatId);
                    var objGroup = {name: 'Group', option: 'Static', value: 'popup_dialog_formations'};
                    var objAnimate = {name: 'Animate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleGroupToggle(objGroup, objAnimate, objEventSource);
                    })();
            }
            
            function imageonclick(e, repeatId)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'image', repeatId: repeatId, field: document.getElementById(repeatId + 'image')};

                return dojo.hitch(objEventSource.field, function(){
                    deleteFormation(objEventSource.repeatId);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
